108 Комити

Аутор SHA1 Порука Датум
  Alois Mahdal 7b31281025 Add gowork.ini пре 1 месец
  Alois Mahdal d8f92b1117 Disable broken xpra assignment пре 1 месец
  Alois Mahdal cf42135b03 Save extra pixel or two in vertical space as well пре 1 месец
  Alois Mahdal 061ed25bc3 Disable blueman-applet autostart пре 1 месец
  Alois Mahdal 4fbb965177 Update i3 to use zbmo instead of pybmo пре 2 месеци
  Alois Mahdal a1f1f64793 Update bmo config for zbmo пре 1 месец
  Alois Mahdal 03af8b6375 Move wttr to separate nag stream пре 1 месец
  Alois Mahdal 26312aea13 Use just time for `timenow` nag пре 1 месец
  Alois Mahdal 579c11b895 Drop some old unused bmo configuration пре 1 месец
  Alois Mahdal 97a5735e45 Move testing definitions out of the repo пре 1 месец
  Alois Mahdal a97d4fec73 Add zbmo_V i3staplus module to show current zbmo version пре 1 месец
  Alois Mahdal 9bdf626f1a Drop unused morf_V i3staplus module пре 2 месеци
  Alois Mahdal 0792abe970 Fixup keyboard layout note in i3staplus after switching font пре 2 месеци
  Alois Mahdal 06b9ed35b5 Set color for `bmo be` %presenting mode in i3staplus пре 2 месеци
  Alois Mahdal 3951b22a46 Drop unnecessary "x" comparison hack пре 2 месеци
  Alois Mahdal 04ee08e7fa Add "no AI" hack to google search query пре 2 месеци
  Alois Mahdal 2c0cddafb6 Add few arbitrary apps to 'bmo sensible' пре 2 месеци
  Alois Mahdal 2dd4d897f4 Add custom stylesheet to bring back normal scrollbar пре 2 месеци
  Alois Mahdal 84bb88300d Update .signature пре 1 месец
  Alois Mahdal 00c0773d6e Add `zbmo kb` layout config пре 2 месеци
  Alois Mahdal 716ba81a81 Drop unnecessary bmo_beh__if conditions пре 2 месеци
  Alois Mahdal 90e5504d7c Make sure to check if zbmo is installed before spamming every new bash instance пре 2 месеци
  Alois Mahdal 3bfec37d0f Drop mocp from bmo role:zleeping пре 2 месеци
  Alois Mahdal c859f43381 Add `-W` readelf alias to stop cutting lines пре 2 месеци
  Alois Mahdal fc50453027 Drop wttr() in favor of custom script wrapper пре 2 месеци
  Alois Mahdal 047ac71254 Add alacritty to list of recognized terminals for Bash window titling пре 2 месеци
  Alois Mahdal b39737a0a9 Support specifying target path for xpst() пре 2 месеци
  Alois Mahdal 42b21c1585 Don't do anything when xcp() is run without arguments пре 2 месеци
  Alois Mahdal b9f52868f9 Re-enable bmo nag with zbmo implementation пре 2 месеци
  Alois Mahdal 484aaf434d Make colors in demo stand out more using Unicode block symbol пре 2 месеци
  Alois Mahdal c221d9aaf0 Move to IosevkaTerm Nerd Font пре 11 месеци
  Alois Mahdal a186524201 Commit xfce4-terminal config (edited by GUI) пре 11 месеци
  Alois Mahdal 2b675f7122 Re-enable battery tracking in i3status пре 11 месеци
  Alois Mahdal a9bc77901c Have xt.dash a bit less sleepy пре 11 месеци
  Alois Mahdal 26dd9be422 Clean up xt.dash syntax пре 11 месеци
  Alois Mahdal abceb96abb Make sure to run xt.dash using dash, not bash пре 11 месеци
  Alois Mahdal 9c78aa0225 Disable debugging lines in xt.dash script пре 11 месеци
  Alois Mahdal 4bbe567b40 Add binding for 'smash' menu пре 11 месеци
  Alois Mahdal 4cc653c394 Disable Orage tweak пре 11 месеци
  Alois Mahdal 09b914aa5c Move from htop to btop пре 11 месеци
  Alois Mahdal c74a316500 Move from xclock to own tiny implementation: zclock пре 11 месеци
  Alois Mahdal f4d7897068 Make sure showgbr module in i3staplus does not break JSON syntax пре 11 месеци
  Alois Mahdal f44a848589 Avoid unnecessarily complex git macro for 'git k' пре 11 месеци
  Alois Mahdal 52ed44ccef Clean up host-based bashum and gittum symlinks пре 11 месеци
  Alois Mahdal 74115a1d3e Switch from bmo to pybmo пре 11 месеци
  Alois Mahdal 57c80135cd Avoid easilyu triggered 'the' keyword for thesaurus пре 1 месец
  Alois Mahdal bbf84ad223 Cleanup gittum/slurp syntax пре 11 месеци
  Alois Mahdal 770894aa29 Update fastmail app link пре 11 месеци
  Alois Mahdal c02ecefb72 Make dmenu style a bit more readable пре 11 месеци
  Alois Mahdal 04682e09bc Clean up unused style.ini keys пре 11 месеци
  Alois Mahdal e6891f1cdc Add some random-ish sensible apps пре 11 месеци
  Alois Mahdal d842d6c692 Replace leafpad with mousepad пре 11 месеци
  Alois Mahdal 9a020b5607 Add bmo nag definition for testing пре 11 месеци
  Alois Mahdal 1cd7929968 Add menu of librewolf instances пре 11 месеци
  Alois Mahdal 80cf10a659 Add some test menus for bmo menu testing пре 11 месеци
  Alois Mahdal 09e9ffe1a1 Update bmo nag.ini for pybmo пре 11 месеци
  Alois Mahdal 0da65f2dd6 Add codecrafters to go_vcs dirs пре 11 месеци
  Alois Mahdal f42cefe19c Provide Brno location explicitly in wttr nag пре 11 месеци
  Alois Mahdal 9be70b3d7f Ensure empty Syncthing conflict does not trigger stconflict nag пре 11 месеци
  Alois Mahdal 328db0141b Remove taskwarrior nags пре 11 месеци
  Alois Mahdal 8bfbce92f3 Add pykb hook to update i3status after changing keyboard layout пре 1 месец
  Alois Mahdal c8fb3a3a2a Add menu for dynmenu/smash пре 11 месеци
  Alois Mahdal 10abc2cdff Replace zk with zkzig пре 11 месеци
  Alois Mahdal 41687d4417 Add some zig specific excludes and envvars пре 11 месеци
  Alois Mahdal 4ee4fbae45 Move to alacritty from urxvt пре 1 месец
  Alois Mahdal 3ded694dc7 Move mkittool's debstuff.ini out of this repo пре 1 месец
  Alois Mahdal cd328573b1 Update i3status config пре 1 месец
  Alois Mahdal f48c802a3b Add Signal and ActivityWatch autoexec пре 1 месец
  Alois Mahdal 8eecc6a928 Try to bind xpra to workspace 9 пре 1 месец
  Alois Mahdal 07a25ae4e0 Add S-C-v for xt script, which types out primary clipboard пре 1 месец
  Alois Mahdal 818e2e97f5 Bind i3 bar to primary output пре 1 месец
  Alois Mahdal 694428f88f Set dillo as browser for dunst пре 1 месец
  Alois Mahdal b9db8029a8 Set Neovim as default editor for 'bmo sensible' пре 1 месец
  Alois Mahdal 55a82308ac Update 'windows' menu with moved i3 config dir пре 1 месец
  Alois Mahdal 0393c5ad7f Set envvars for zk root пре 1 месец
  Alois Mahdal ca6d3db80d Don't trigger ssh-add automatically пре 1 месец
  Alois Mahdal 1ea5547a31 Commit several stacked updates for wish.ini пре 11 месеци
  Alois Mahdal 77f41627de Replace profitux link with migadu after migration пре 11 месеци
  Alois Mahdal c52b838639 Add zk menus пре 11 месеци
  Alois Mahdal af1f69fb91 Add uemoji menu пре 11 месеци
  Alois Mahdal fc8dc8c299 Add gowork and related menus пре 11 месеци
  Alois Mahdal e30fb5ba90 Add Telegram autoexec пре 1 месец
  Alois Mahdal d6d3539790 Disable Orage tweak пре 11 месеци
  Alois Mahdal 7635818733 Drop obsolete Shutter screenshot app пре 11 месеци
  Alois Mahdal b6e35b2c2a Set ipython3 as "calculator" (XF86Calculator) hotkey пре 11 месеци
  Alois Mahdal 02c41f75df Make some cstatus fixes пре 11 месеци
  Alois Mahdal 17c773157f Drop unused amahdal.bashrc пре 11 месеци
  Alois Mahdal f46a9ec936 Move qutebrowser config to autoconfig.yml пре 11 месеци
  Alois Mahdal 91a440fd5f Add some arbitrary vim bindings for common devel commands пре 11 месеци
  Alois Mahdal cd3a5f5cc8 Drop unused F3 vim binding пре 11 месеци
  Alois Mahdal 363395eb0f Add genetated zenburn test files пре 11 месеци
  Alois Mahdal 07560c43d7 Add tikr menu пре 11 месеци
  Alois Mahdal 4db81554df Remap i3 bindings to re-use some prime keyboard estate пре 11 месеци
  Alois Mahdal d8af7c8076 Make several imprrovements to i3staplus пре 11 месеци
  Alois Mahdal 7090148254 Update gitk config (edited by GUI) пре 11 месеци
  Alois Mahdal 4be45fb0e0 Add some basic duckduckgo quick search menus пре 11 месеци
  Alois Mahdal 2062da3290 Add dynmenu vault section пре 11 месеци
  Alois Mahdal 4803d40530 Add pafwd dynmenu section пре 11 месеци
  Alois Mahdal 18fdc92553 Tweak and improve i3 marks пре 11 месеци
  Alois Mahdal 33b849048d Fixup dynmenu needing absolute path for some reason пре 11 месеци
  Alois Mahdal 9ee2a4a0af Drop `-j` from pybmo conf; it's default now пре 11 месеци
  Alois Mahdal 57fd722553 Start replacing some bmo commands with pybmo rewrite пре 11 месеци
  Alois Mahdal ef54711049 Apply redshift hack to fix changing from lower to higher пре 11 месеци
  Alois Mahdal 81d2be8096 Clean up bmo-be feel: declarations for readability пре 11 месеци
  Alois Mahdal b451bbec8b Disable weechat-fifo, since it's broken with current weechat пре 11 месеци
  Alois Mahdal d70a85603a Minor formatting tweaks пре 11 месеци
  Alois Mahdal ccda2a281d Add alias for pydoc3 пре 1 година
  Alois Mahdal e1d6fcf4ab Add custom mdvimb style: oamg-qe.css пре 11 месеци
56 измењених фајлова са 807 додато и 274 уклоњено
  1. 2
    0
      dotfiles/config/Xlib/colorscheme/zenburn.Xdefaults
  2. 6
    0
      dotfiles/config/Xlib/colorscheme/zenburn.Xdefaults.css
  3. 71
    0
      dotfiles/config/Xlib/colorscheme/zenburn.Xdefaults.html
  4. 8
    8
      dotfiles/config/bashum/colors.bashrc
  5. 1
    1
      dotfiles/config/bashum/head.bashrc
  6. 1
    0
      dotfiles/config/bashum/host/arodef.bashrc
  7. 0
    1
      dotfiles/config/bashum/host/den.bashrc
  8. 1
    0
      dotfiles/config/bashum/host/gibbon.bashrc
  9. 0
    1
      dotfiles/config/bashum/host/kana.bashrc
  10. 1
    0
      dotfiles/config/bashum/host/malakar.bashrc
  11. 0
    1
      dotfiles/config/bashum/host/malinovka.bashrc
  12. 0
    8
      dotfiles/config/bashum/host/malista.bashrc
  13. 1
    0
      dotfiles/config/bashum/host/nauron.bashrc
  14. 0
    1
      dotfiles/config/bashum/host/singletop.bashrc
  15. 0
    1
      dotfiles/config/bashum/host/tamtam.bashrc
  16. 0
    1
      dotfiles/config/bashum/host/tamten.bashrc
  17. 0
    0
      dotfiles/config/bashum/host/updated-20230406
  18. 1
    0
      dotfiles/config/bashum/host/vagrus.bashrc
  19. 15
    5
      dotfiles/config/bashum/main.bashrc
  20. 3
    3
      dotfiles/config/bashum/post.bashrc
  21. 0
    5
      dotfiles/config/bashum/user/amahdal.bashrc
  22. 15
    10
      dotfiles/config/bmo/be.ini
  23. 7
    0
      dotfiles/config/bmo/bmo.ini
  24. 7
    0
      dotfiles/config/bmo/dmenu.ini
  25. 152
    0
      dotfiles/config/bmo/gowork.ini
  26. 6
    0
      dotfiles/config/bmo/kb.ini
  27. 0
    3
      dotfiles/config/bmo/ln.ini
  28. 86
    29
      dotfiles/config/bmo/menu.ini
  29. 14
    41
      dotfiles/config/bmo/nag.ini
  30. 11
    3
      dotfiles/config/bmo/sensible.ini
  31. 0
    12
      dotfiles/config/bmo/style.ini
  32. 16
    12
      dotfiles/config/bmo/wish.ini
  33. 1
    1
      dotfiles/config/dunst/dunstrc
  34. 8
    6
      dotfiles/config/git/gitk
  35. 5
    7
      dotfiles/config/gittum/bin/slurp
  36. 1
    1
      dotfiles/config/gittum/host/adoref.gitconfig
  37. 1
    0
      dotfiles/config/gittum/host/gibbon.gitconfig
  38. 1
    1
      dotfiles/config/gittum/host/malakar.gitconfig
  39. 1
    1
      dotfiles/config/gittum/host/morel.gitconfig
  40. 1
    1
      dotfiles/config/gittum/host/nauron.gitconfig
  41. 1
    1
      dotfiles/config/gittum/host/tamten.gitconfig
  42. 1
    1
      dotfiles/config/gittum/host/vagrus.gitconfig
  43. 2
    2
      dotfiles/config/gittum/main.gitconfig
  44. 11
    9
      dotfiles/config/i3/bin/cstatus
  45. 135
    6
      dotfiles/config/i3/bin/i3staplus
  46. 60
    38
      dotfiles/config/i3/config
  47. 13
    8
      dotfiles/config/i3/macros/xt.dash
  48. 22
    15
      dotfiles/config/i3status/config
  49. 64
    0
      dotfiles/config/mdvimb/css/oamg-qe.css
  50. 0
    20
      dotfiles/config/mkittool/debstuff.ini
  51. 42
    0
      dotfiles/config/qutebrowser/autoconfig.yml
  52. 2
    6
      dotfiles/config/qutebrowser/config.py
  53. 4
    0
      dotfiles/config/qutebrowser/user_stylesheets/netvor.css
  54. 2
    2
      dotfiles/config/xfce4/terminal/terminalrc
  55. 1
    1
      dotfiles/signature
  56. 3
    1
      dotfiles/vim/vimrc

+ 2
- 0
dotfiles/config/Xlib/colorscheme/zenburn.Xdefaults Прегледај датотеку

6
 URxvt.background:       #080808
6
 URxvt.background:       #080808
7
 URxvt.colorUL:          #c5f779
7
 URxvt.colorUL:          #c5f779
8
 URxvt.underlineColor:   #c5f779
8
 URxvt.underlineColor:   #c5f779
9
+
9
 URxvt.color0:           #3f3f3f
10
 URxvt.color0:           #3f3f3f
10
 URxvt.color1:           #705050
11
 URxvt.color1:           #705050
11
 URxvt.color2:           #60b48a
12
 URxvt.color2:           #60b48a
14
 URxvt.color5:           #dc8cc3
15
 URxvt.color5:           #dc8cc3
15
 URxvt.color6:           #356061
16
 URxvt.color6:           #356061
16
 URxvt.color7:           #DCDCCC
17
 URxvt.color7:           #DCDCCC
18
+
17
 URxvt.color8:           #808080
19
 URxvt.color8:           #808080
18
 URxvt.color9:           #cc9393
20
 URxvt.color9:           #cc9393
19
 URxvt.color10:          #7f9f7f
21
 URxvt.color10:          #7f9f7f

+ 6
- 0
dotfiles/config/Xlib/colorscheme/zenburn.Xdefaults.css Прегледај датотеку

1
+body {
2
+    font-size: xx-large;
3
+    font-family: monospace;
4
+    color:        #dcdccc;
5
+    background-color:        #080808;
6
+}

+ 71
- 0
dotfiles/config/Xlib/colorscheme/zenburn.Xdefaults.html Прегледај датотеку

1
+<!doctype html>
2
+<html>
3
+    <head>
4
+        <title>zenburn.Xdefaults</title>
5
+        <link rel='stylesheet' href='zenburn.Xdefaults.css'>
6
+    </head>
7
+    <body>
8
+        <p style='color: !## ======= ====== ##'>!## ======= ====== ## = !## ======= ====== ##</p>
9
+        <p style='color: !## zenburn colors ##'>!## zenburn colors ## = !## zenburn colors ##</p>
10
+        <p style='color: !## ======= ====== ##'>!## ======= ====== ## = !## ======= ====== ##</p>
11
+        <p style='color:        #dcdccc'>URxvt.foreground =        #dcdccc</p>
12
+        <p style='color:        #080808'>URxvt.background =        #080808</p>
13
+        <p style='color:           #c5f779'>URxvt.colorUL =           #c5f779</p>
14
+        <p style='color:    #c5f779'>URxvt.underlineColor =    #c5f779</p>
15
+        <p style='color:            #3f3f3f'>URxvt.color0 =            #3f3f3f</p>
16
+        <p style='color:            #705050'>URxvt.color1 =            #705050</p>
17
+        <p style='color:            #60b48a'>URxvt.color2 =            #60b48a</p>
18
+        <p style='color:            #dfaf8f'>URxvt.color3 =            #dfaf8f</p>
19
+        <p style='color:            #506070'>URxvt.color4 =            #506070</p>
20
+        <p style='color:            #dc8cc3'>URxvt.color5 =            #dc8cc3</p>
21
+        <p style='color:            #356061'>URxvt.color6 =            #356061</p>
22
+        <p style='color:            #DCDCCC'>URxvt.color7 =            #DCDCCC</p>
23
+        <p style='color:            #808080'>URxvt.color8 =            #808080</p>
24
+        <p style='color:            #cc9393'>URxvt.color9 =            #cc9393</p>
25
+        <p style='color:           #7f9f7f'>URxvt.color10 =           #7f9f7f</p>
26
+        <p style='color:           #ecd393'>URxvt.color11 =           #ecd393</p>
27
+        <p style='color:           #94bff3'>URxvt.color12 =           #94bff3</p>
28
+        <p style='color:           #ec93d3'>URxvt.color13 =           #ec93d3</p>
29
+        <p style='color:           #93e0e3'>URxvt.color14 =           #93e0e3</p>
30
+        <p style='color:           #ffffff'>URxvt.color15 =           #ffffff</p>
31
+        <p style='color:        #dcdccc'>xterm*foreground =        #dcdccc</p>
32
+        <p style='color:        #080808'>xterm*background =        #080808</p>
33
+        <p style='color:            #353535'>xterm*color0 =            #353535</p>
34
+        <p style='color:            #666666'>xterm*color8 =            #666666</p>
35
+        <p style='color:            #AE4747'>xterm*color1 =            #AE4747</p>
36
+        <p style='color:            #EE6363'>xterm*color9 =            #EE6363</p>
37
+        <p style='color:            #556B2F'>xterm*color2 =            #556B2F</p>
38
+        <p style='color:           #9ACD32'>xterm*color10 =           #9ACD32</p>
39
+        <p style='color:            #DAA520'>xterm*color3 =            #DAA520</p>
40
+        <p style='color:           #FFC125'>xterm*color11 =           #FFC125</p>
41
+        <p style='color:            #6F99B4'>xterm*color4 =            #6F99B4</p>
42
+        <p style='color:           #7C96B0'>xterm*color12 =           #7C96B0</p>
43
+        <p style='color:            #8B7B8B'>xterm*color5 =            #8B7B8B</p>
44
+        <p style='color:           #D8BFD8'>xterm*color13 =           #D8BFD8</p>
45
+        <p style='color:            #A7A15E'>xterm*color6 =            #A7A15E</p>
46
+        <p style='color:           #F0E68C'>xterm*color14 =           #F0E68C</p>
47
+        <p style='color:            #DDDDDD'>xterm*color7 =            #DDDDDD</p>
48
+        <p style='color:           #FFFFFF'>xterm*color15 =           #FFFFFF</p>
49
+        <p style='color:       #FFC125'>XClock*foreground =       #FFC125</p>
50
+        <p style='color:       #000000'>XClock*background =       #000000</p>
51
+        <p style='color:           1'>XClock*update =           1</p>
52
+        <p style='color:       #94bff3'>XClock*majorColor =       #94bff3</p>
53
+        <p style='color:       #705050'>XClock*minorColor =       #705050</p>
54
+        <p style='color:        #60b48a'>XClock*hourColor =        #60b48a</p>
55
+        <p style='color:      #60b48a'>XClock*minuteColor =      #60b48a</p>
56
+        <p style='color:      #dc8cc3'>XClock*secondColor =      #dc8cc3</p>
57
+        <p style='color: !'>! = !</p>
58
+        <p style='color: !'>! = !</p>
59
+        <p style='color: White'>!  fg = White</p>
60
+        <p style='color: Grey25'>!  00 = Grey25</p>
61
+        <p style='color: White'>!  07 = White</p>
62
+        <p style='color: !'>! = !</p>
63
+        <p style='color: Red'>!  01 = Red</p>
64
+        <p style='color: Yellow'>!  03 = Yellow</p>
65
+        <p style='color: Green'>!  02 = Green</p>
66
+        <p style='color: Cyan'>!  06 = Cyan</p>
67
+        <p style='color: Blue'>!  04 = Blue</p>
68
+        <p style='color: Magenta'>!  05 = Magenta</p>
69
+        <p style='color: !'>! = !</p>
70
+    </body>
71
+</html>

+ 8
- 8
dotfiles/config/bashum/colors.bashrc Прегледај датотеку

75
     local lcya=$BASHUM_COLOR_LCYAN
75
     local lcya=$BASHUM_COLOR_LCYAN
76
     local lwhi=$BASHUM_COLOR_LWHITE
76
     local lwhi=$BASHUM_COLOR_LWHITE
77
     local n=$BASHUM_COLOR_NORMAL
77
     local n=$BASHUM_COLOR_NORMAL
78
-    echo "black:   $bla[abc123]$n   lblack: $lbla[abc123]$n"
79
-    echo "red:     $red[abc123]$n     lred: $lred[abc123]$n"
80
-    echo "yellow:  $yel[abc123]$n  lyellow: $lyel[abc123]$n"
81
-    echo "green:   $gre[abc123]$n   lgreen: $lgre[abc123]$n"
82
-    echo "cyan:    $cya[abc123]$n    lcyan: $lcya[abc123]$n"
83
-    echo "blue:    $blu[abc123]$n    lblue: $lblu[abc123]$n"
84
-    echo "magenta: $mag[abc123]$n lmagenta: $lmag[abc123]$n"
85
-    echo "white:   $whi[abc123]$n   lwhite: $lwhi[abc123]$n"
78
+    echo "black:   $bla[🬹abc123]$n   lblack: $lbla[🬹abc123]$n"
79
+    echo "red:     $red[🬹abc123]$n     lred: $lred[🬹abc123]$n"
80
+    echo "yellow:  $yel[🬹abc123]$n  lyellow: $lyel[🬹abc123]$n"
81
+    echo "green:   $gre[🬹abc123]$n   lgreen: $lgre[🬹abc123]$n"
82
+    echo "cyan:    $cya[🬹abc123]$n    lcyan: $lcya[🬹abc123]$n"
83
+    echo "blue:    $blu[🬹abc123]$n    lblue: $lblu[🬹abc123]$n"
84
+    echo "magenta: $mag[🬹abc123]$n lmagenta: $lmag[🬹abc123]$n"
85
+    echo "white:   $whi[🬹abc123]$n   lwhite: $lwhi[🬹abc123]$n"
86
 }
86
 }

+ 1
- 1
dotfiles/config/bashum/head.bashrc Прегледај датотеку

3
 mkdir -p /var/tmp/bashum-rv
3
 mkdir -p /var/tmp/bashum-rv
4
 
4
 
5
 BASHUM_TASK_CTX=false
5
 BASHUM_TASK_CTX=false
6
-BASHUM_BMO_NAG=false
6
+BASHUM_BMO_NAG=true
7
 
7
 
8
 for include in \
8
 for include in \
9
   "${HOME}/.config/bashum/colors.bashrc" \
9
   "${HOME}/.config/bashum/colors.bashrc" \

+ 1
- 0
dotfiles/config/bashum/host/arodef.bashrc Прегледај датотеку

1
+../../../../../../config/dotfiles/config/bashum/host/arodef.bashrc

+ 0
- 1
dotfiles/config/bashum/host/den.bashrc Прегледај датотеку

1
-../../../../../../vcs.rh/mydots/dotfiles/bash/host/den.bashrc

+ 1
- 0
dotfiles/config/bashum/host/gibbon.bashrc Прегледај датотеку

1
+../../../../../../config/dotfiles/config/bashum/host/gibbon.bashrc

+ 0
- 1
dotfiles/config/bashum/host/kana.bashrc Прегледај датотеку

1
-../../../../../config/dotfiles/bash/host/kana.bashrc

+ 1
- 0
dotfiles/config/bashum/host/malakar.bashrc Прегледај датотеку

1
+../../../../../../config/dotfiles/config/bashum/host/malakar.bashrc

+ 0
- 1
dotfiles/config/bashum/host/malinovka.bashrc Прегледај датотеку

1
-../../../../../config/dotfiles/bash/host/malinovka.bashrc

+ 0
- 8
dotfiles/config/bashum/host/malista.bashrc Прегледај датотеку

1
-#!/bin/bash
2
-
3
-__bashum__mkps1host() {
4
-    echo "$BASHUM_PS_COLOR_MAGENTA\h$BASHUM_PS_COLOR_NORMAL";
5
-}
6
-
7
-export MDPUBLISH__MDBIN=markdown
8
-export SNAP_DST=/mnt/backups/moon/netvorovo/

+ 1
- 0
dotfiles/config/bashum/host/nauron.bashrc Прегледај датотеку

1
+../../../../../../config/dotfiles/config/bashum/host/nauron.bashrc

+ 0
- 1
dotfiles/config/bashum/host/singletop.bashrc Прегледај датотеку

1
-../../../../../../vcs.rh/mydots/dotfiles/bash/host/singletop.bashrc

+ 0
- 1
dotfiles/config/bashum/host/tamtam.bashrc Прегледај датотеку

1
-../../../../../config/dotfiles/bash/host/tamtam.bashrc

+ 0
- 1
dotfiles/config/bashum/host/tamten.bashrc Прегледај датотеку

1
-../../../../../config/dotfiles/bash/host/tamten.bashrc

+ 0
- 0
dotfiles/config/bashum/host/updated-20230406 Прегледај датотеку


+ 1
- 0
dotfiles/config/bashum/host/vagrus.bashrc Прегледај датотеку

1
+../../../../../../config/dotfiles/config/bashum/host/vagrus.bashrc

+ 15
- 5
dotfiles/config/bashum/main.bashrc Прегледај датотеку

190
     #
190
     #
191
     # Open $1 new terminals
191
     # Open $1 new terminals
192
     #
192
     #
193
-    __bashum_run_n "${1:-1}" urxvt
193
+    __bashum_run_n "${1:-1}" alacritty
194
 }
194
 }
195
 
195
 
196
 dT() {
196
 dT() {
288
     grep --color -n \
288
     grep --color -n \
289
         --exclude-dir 'utils' \
289
         --exclude-dir 'utils' \
290
         --exclude-dir '.git' \
290
         --exclude-dir '.git' \
291
+        --exclude-dir '.zig-cache' \
291
         -o '#[F]IXME:.*' -R "$@"
292
         -o '#[F]IXME:.*' -R "$@"
292
 }
293
 }
293
 
294
 
298
     # Number one tool for refactoring!
299
     # Number one tool for refactoring!
299
     #
300
     #
300
     local p=$1; shift
301
     local p=$1; shift
301
-    grep --color -n --exclude-dir=".git" -e "$p" -R "$@"
302
+    grep --color -n --exclude-dir=".git" --exclude-dir ".zig-cache" --exclude-dir "zig-out" -e "$p" -R "$@"
302
 }
303
 }
303
 
304
 
304
 grepr1() {
305
 grepr1() {
632
     # Copy paths of $@ to clipboard
633
     # Copy paths of $@ to clipboard
633
     #
634
     #
634
     local path
635
     local path
636
+    test $# -gt 0 || return 0
635
     find "$@" -maxdepth 0 -mindepth 0 \
637
     find "$@" -maxdepth 0 -mindepth 0 \
636
       | while read -r path; do
638
       | while read -r path; do
637
             readlink -e "$path"
639
             readlink -e "$path"
643
     #
645
     #
644
     # Paste paths from clipboard
646
     # Paste paths from clipboard
645
     #
647
     #
648
+    local target_path="${1:-.}"
649
+    test -d "$target_path" || {
650
+        echo >&2 "no such directory: $target_path"
651
+        return 2
652
+    }
646
     { xop o; echo; } \
653
     { xop o; echo; } \
647
       | while read -r path; do
654
       | while read -r path; do
648
             echo "path='$path'" >&2
655
             echo "path='$path'" >&2
650
                 echo "does not exist: $path"
657
                 echo "does not exist: $path"
651
                 continue
658
                 continue
652
             }
659
             }
653
-            cp -ar "$path" .
660
+            cp -ar "$path" "$target_path"
654
         done
661
         done
655
 }
662
 }
656
 
663
 
863
 alias lsblk='lsblk -o +UUID,LABEL'
870
 alias lsblk='lsblk -o +UUID,LABEL'
864
 alias pstree='pstree -h'
871
 alias pstree='pstree -h'
865
 alias virsh='virsh --connect qemu:///system'
872
 alias virsh='virsh --connect qemu:///system'
866
-alias wttr='curl -s "wttr.in/?1&n&q"'
867
 alias xi='xop i'
873
 alias xi='xop i'
868
 alias xii='xop ii'
874
 alias xii='xop ii'
869
 alias xa='xop a'
875
 alias xa='xop a'
872
 alias xoo='xop oo'
878
 alias xoo='xop oo'
873
 alias reboot="echo -n . ; sync ; echo -n . ; sync ; echo -n . ; systemctl reboot"
879
 alias reboot="echo -n . ; sync ; echo -n . ; sync ; echo -n . ; systemctl reboot"
874
 alias poweroff="echo -n . ; sync ; echo -n . ; sync ; echo -n . ; systemctl poweroff"
880
 alias poweroff="echo -n . ; sync ; echo -n . ; sync ; echo -n . ; systemctl poweroff"
881
+alias pydoc='pydoc3'
882
+alias readelf='readelf -W'
875
 
883
 
876
 x4xx() {
884
 x4xx() {
877
     #
885
     #
931
 # get rid of those .pyc files once and for all
939
 # get rid of those .pyc files once and for all
932
 export PYTHONDONTWRITEBYTECODE=1
940
 export PYTHONDONTWRITEBYTECODE=1
933
 
941
 
934
-ssh-add -l >& /dev/null || ssh-add
942
+export ZIG_LOCAL_CACHE_DIR="$HOME/.cache/zig-local"
943
+export ZK_ROOT="$HOME/.local/pim/zk"
944
+export ZKZIG_ROOT="$HOME/.local/pim/zk"

+ 3
- 3
dotfiles/config/bashum/post.bashrc Прегледај датотеку

190
     #
190
     #
191
     echo -n '__bashum__save_rv $?;'
191
     echo -n '__bashum__save_rv $?;'
192
     case "$TERM" in
192
     case "$TERM" in
193
-        xterm*|rxvt*|screen*)
193
+        xterm*|rxvt*|screen*|alacritty)
194
             echo -n 'echo -ne "\033]0;'
194
             echo -n 'echo -ne "\033]0;'
195
             echo -n   "$(__bashum__mkicon) "
195
             echo -n   "$(__bashum__mkicon) "
196
             echo -n   '$(__bashum__lastrv)'
196
             echo -n   '$(__bashum__lastrv)'
218
 
218
 
219
 __bashum__setup_traps() {
219
 __bashum__setup_traps() {
220
     case "$TERM" in
220
     case "$TERM" in
221
-        xterm*|rxvt*|screen*) trap __bashum__set_title DEBUG ;;
221
+        xterm*|rxvt*|screen*|alacritty) trap __bashum__set_title DEBUG ;;
222
     esac
222
     esac
223
 }
223
 }
224
 
224
 
226
 
226
 
227
 PROMPT_COMMAND=$(__bashum__mkpc)
227
 PROMPT_COMMAND=$(__bashum__mkpc)
228
 
228
 
229
-$BASHUM_BMO_NAG && bmo nag
229
+$BASHUM_BMO_NAG && which zbmo >/dev/null 2>/dev/null && zbmo nag

+ 0
- 5
dotfiles/config/bashum/user/amahdal.bashrc Прегледај датотеку

1
-#!/bin/bash
2
-
3
-make_ps1u() {
4
-    echo "$yellow\u$normal";
5
-}

+ 15
- 10
dotfiles/config/bmo/be.ini Прегледај датотеку

2
 [be.def.spot.dock:undocked]
2
 [be.def.spot.dock:undocked]
3
     enter = newfeh
3
     enter = newfeh
4
     enter = i3-msg reload
4
     enter = i3-msg reload
5
-    enter = weechat-fifo -s \*/disconnect -all || true
5
+#   enter = weechat-fifo -s \*/disconnect -all || true
6
 
6
 
7
 [be.def.spot.dock:docked]
7
 [be.def.spot.dock:docked]
8
     enter = newfeh
8
     enter = newfeh
9
     enter = i3-msg reload
9
     enter = i3-msg reload
10
-    enter = weechat-fifo -s \*/connect -all || true
10
+#   enter = weechat-fifo -s \*/connect -all || true
11
 
11
 
12
 [be.def.spot.role:afk]
12
 [be.def.spot.role:afk]
13
     shape = bounce
13
     shape = bounce
25
 [be.def.spot.role:gone]
25
 [be.def.spot.role:gone]
26
     shape = bounce
26
     shape = bounce
27
     enter = ssh-add -D 2>&1 && notify-send "all identities removed"
27
     enter = ssh-add -D 2>&1 && notify-send "all identities removed"
28
-    enter = bmo_beh__if -P weechat weechat-fifo -s \*/disconnect -all gone
28
+    enter = weechat-fifo -s \*/disconnect -all gone
29
     spike = bmo kb home && slock
29
     spike = bmo kb home && slock
30
-    leave = bmo_beh__if -P weechat weechat-fifo -s \*/connect -all
30
+    leave = weechat-fifo -s \*/connect -all
31
     leave = bmo nag -R
31
     leave = bmo nag -R
32
 
32
 
33
 [be.def.spot.role:zleeping]
33
 [be.def.spot.role:zleeping]
34
     shape = bounce
34
     shape = bounce
35
     enter = bmo be .undocked
35
     enter = bmo be .undocked
36
-    enter = bmo_beh__if -P mocp --then mocp --pause
37
     enter = ssh-add -D 2>&1 && notify-send "all identities removed"
36
     enter = ssh-add -D 2>&1 && notify-send "all identities removed"
38
-    enter = bmo_beh__if -P weechat weechat-fifo -s \*/disconnect -all offline
37
+    enter = weechat-fifo -s \*/disconnect -all offline
39
     spike = bmo kb home && slock systemctl suspend -i
38
     spike = bmo kb home && slock systemctl suspend -i
40
-    leave = bmo_beh__if -P weechat weechat-fifo -s \*/connect -all
39
+    leave = weechat-fifo -s \*/connect -all
41
 
40
 
42
 [be.def.spot.role:presenting]
41
 [be.def.spot.role:presenting]
43
     important = true
42
     important = true
44
     enter = :
43
     enter = :
45
 
44
 
46
 [be.def.spot.feel:night]
45
 [be.def.spot.feel:night]
47
-    enter = light -S 8;   redshift -O 1000
46
+    enter = light -S 8
47
+    enter = redshift -O 1000
48
+    leave = redshift -x
49
+    # ^^ hack: for some reason moving to lower value to higher does not work without resetting first
50
+    #    (this flicks full spectrum for a fragment of a second)
48
 
51
 
49
 [be.def.spot.feel:twilight]
52
 [be.def.spot.feel:twilight]
50
-    enter = light -S 50;  redshift -O 1500
53
+    enter = light -S 50
54
+    enter = redshift -O 1500
51
 
55
 
52
 [be.def.spot.feel:day]
56
 [be.def.spot.feel:day]
53
-    enter = light -S 100; redshift -x
57
+    enter = light -S 100
58
+    enter = redshift -x

dotfiles/config/bmo/hook.ini → dotfiles/config/bmo/bmo.ini Прегледај датотеку

1
+[main]
2
+#   timezone = Europe/Prague
3
+#   timezone = Asia/Yerevan
4
+
1
 [hook.au]
5
 [hook.au]
2
     post = killall -SIGUSR1 i3status
6
     post = killall -SIGUSR1 i3status
3
 
7
 
4
 [hook.be]
8
 [hook.be]
5
     post = killall -SIGUSR1 i3status
9
     post = killall -SIGUSR1 i3status
6
 
10
 
11
+[hook.pykb]
12
+    post = killall -SIGUSR1 i3status
13
+
7
 [hook.kb]
14
 [hook.kb]
8
     post = killall -SIGUSR1 i3status
15
     post = killall -SIGUSR1 i3status

+ 7
- 0
dotfiles/config/bmo/dmenu.ini Прегледај датотеку

1
+
2
+[style]
3
+    normal_bg = #222222
4
+    normal_fg = #bbbbbb
5
+    selected_bg = #559955
6
+    selected_fg = #101d10
7
+    font = Dejavu Sans Mono:pixelsize=16

+ 152
- 0
dotfiles/config/bmo/gowork.ini Прегледај датотеку

1
+[focus]
2
+    item = @mystream
3
+    item = @codecrafters
4
+    item = zig-sandbox
5
+    item = roc-sandbox
6
+    item = scratch
7
+    item = config-nvim
8
+    item = config-zbmo
9
+
10
+[global]
11
+    open_cmd = twinner -e alacritty -P -t "%projectname | %filepath - Nvim" -- nvim %filepath
12
+    deny_mask = */__pycache__/*
13
+    deny_mask = .zig-cache/*
14
+    deny_mask = zig-out/*
15
+    deny_mask = .git/*
16
+    deny_mask = */py.typed
17
+    deny_mask = vdk_test/*
18
+
19
+[project.zig-sandbox]
20
+    workdir = st/vcs.mystream/zig-sandbox
21
+
22
+[project.roc-sandbox]
23
+    workdir = st/vcs.mystream/roc-sandbox
24
+
25
+[project.jetzig-hw]
26
+    workdir = vcs.mystream/jetzig-hw
27
+    subdir = src
28
+
29
+[project.config-nvim]
30
+    workdir = .config/nvim
31
+    subdir = lua
32
+    open_cmd = twinner -e alacritty -P -t "%projectname | %filepath - VIM" -- vim %filepath
33
+
34
+[project.config-zbmo]
35
+    workdir = .config/zbmo
36
+    open_cmd = twinner -e alacritty -P -t "%projectname | %filepath - VIM" -- vim %filepath
37
+
38
+[project.scratch]
39
+    workdir = st/notes/scratch
40
+
41
+[group.mystream]
42
+    project = bmo
43
+    project = python-inigrep
44
+    project = python-saturnin
45
+    project = python-clapp
46
+    project = mkittool
47
+    project = zig-inigrep
48
+    project = zig-uripecker
49
+    project = zig-gtfs
50
+    project = zig-deska
51
+    project = zig-povel
52
+    project = zbreakout
53
+    project = zgd
54
+    project = zclock
55
+    project = zcal
56
+    project = ztram
57
+    project = zbmo
58
+    project = zkzig
59
+
60
+[project.mkittool]
61
+    workdir = vcs.mystream/mkittool
62
+    subdir = src
63
+
64
+[project.zkzig]
65
+    workdir = vcs.mystream/zkzig
66
+    subdir = src
67
+
68
+[project.zclock]
69
+    workdir = vcs.mystream/zclock
70
+    subdir = src
71
+
72
+[project.zcal]
73
+    workdir = vcs.mystream/zcal
74
+    subdir = src
75
+
76
+[project.ztram]
77
+    workdir = vcs.mystream/ztram
78
+    subdir = src
79
+    subdir = notes
80
+    deny_mask = *.jpg
81
+
82
+[project.zbmo]
83
+    workdir = vcs.mystream/zbmo
84
+    subdir = src
85
+
86
+[project.zig-inigrep]
87
+    workdir = vcs.mystream/zig-inigrep
88
+    subdir = src
89
+
90
+[project.zig-gtfs]
91
+    workdir = vcs.mystream/zig-gtfs
92
+    subdir = src
93
+
94
+[project.zbreakout]
95
+    workdir = vcs.mystream/zbreakout
96
+    subdir = src
97
+
98
+[project.zgd]
99
+    workdir = vcs.mystream/zgd
100
+    subdir = src
101
+
102
+[project.zig-uripecker]
103
+    workdir = vcs.mystream/zig-uripecker
104
+    subdir = src
105
+    subdir = .uscope
106
+
107
+[project.zig-deska]
108
+    workdir = vcs.mystream/zig-deska
109
+    subdir = src
110
+
111
+[project.zig-povel]
112
+    workdir = vcs.mystream/zig-povel
113
+    subdir = src
114
+
115
+[project.bmo]
116
+    workdir = st/vcs.mystream/bmo
117
+    subdir = src
118
+    deny_mask = *.skel
119
+
120
+[project.python-inigrep]
121
+    workdir = st/vcs.mystream/python-inigrep
122
+    subdir = src
123
+    subdir = tests
124
+    deny_mask = *.skel
125
+
126
+[project.python-clapp]
127
+    workdir = st/vcs.mystream/python-clapp
128
+    subdir = src
129
+    deny_mask = *.skel
130
+
131
+[project.python-saturnin]
132
+    workdir = st/vcs.mystream/python-saturnin
133
+    subdir = src
134
+    deny_mask = *.skel
135
+
136
+[group.codecrafters]
137
+    project = codecrafters-http-server-zig
138
+    project = codecrafters-redis-zig
139
+    project = codecrafters-shell-zig
140
+    project = codecrafters-shell-go
141
+
142
+[project.codecrafters-http-server-zig]
143
+    workdir = st/vcs.codecrafters/codecrafters-http-server-zig
144
+
145
+[project.codecrafters-redis-zig]
146
+    workdir = st/vcs.codecrafters/codecrafters-redis-zig
147
+
148
+[project.codecrafters-shell-zig]
149
+    workdir = st/vcs.codecrafters/codecrafters-shell-zig
150
+
151
+[project.codecrafters-shell-go]
152
+    workdir = st/vcs.codecrafters/codecrafters-shell-go

+ 6
- 0
dotfiles/config/bmo/kb.ini Прегледај датотеку

1
+[main]
2
+    layout = us
3
+    layout = cz
4
+    layout = sk
5
+
6
+# legacy (bmo, pybmo):
1
 [kb]
7
 [kb]
2
     layout = us
8
     layout = us
3
     layout = cz
9
     layout = cz

+ 0
- 3
dotfiles/config/bmo/ln.ini Прегледај датотеку

1
-[ln.dir]
2
-    target = ~/proj
3
-    intermediate = ~/.bmo/ln

+ 86
- 29
dotfiles/config/bmo/menu.ini Прегледај датотеку

1
-[menu._default_]
2
-    selector    = bmo dmenu
1
+[menu.uris]
2
+    generator   = pybmo conf -c wish.ini
3
+    lines = 20
4
+    split_delim = =
5
+    consumer    = zbmo wish -f
3
 
6
 
4
-[menu.def.uris]
5
-    generator   = bmo conf -j -r . wish.ini
6
-    selector_args = -l 20 --split =
7
-    consumer    = bmo wish -f
8
-
9
-[menu.def.home]
7
+[menu.home]
10
     generator   = ls -1 -t
8
     generator   = ls -1 -t
11
-    selector_args = -l 30
9
+    lines = 30
12
     consumer    = xargs -Ipath thunar "path"
10
     consumer    = xargs -Ipath thunar "path"
13
 
11
 
14
-[menu.def.status]
15
-    generator = dynmenu status
16
-    selector_args = --split =
12
+[menu.status]
13
+    generator = $HOME/bin/dynmenu status
14
+    split_delim = =
15
+    consumer    = bash -
16
+
17
+[menu.vault]
18
+    generator = $HOME/bin/dynmenu vault
19
+    split_delim = =
20
+    consumer    = bash -
21
+
22
+[menu.pafwd]
23
+    generator = $HOME/bin/dynmenu pafwd
24
+    split_delim = =
17
     consumer    = bash -
25
     consumer    = bash -
18
 
26
 
19
-[menu.def.query]
20
-    generator   = bmo conf -j -r wish.query.
21
-    selector_args = -l 20 --split = --split-field 1
27
+[menu.query]
28
+    generator   = pybmo conf -j -s wish.query
29
+    lines = 20
30
+    split_delim = =
31
+    split_range = 1
22
     consumer    = cat
32
     consumer    = cat
23
 
33
 
24
-[menu.def.run]
34
+[menu.tikrs]
35
+    generator   = tikr -l
36
+    consumer    = xargs twcmd -p tikr
37
+
38
+[menu.run]
25
     generator   = dmenu_path
39
     generator   = dmenu_path
26
     consumer    = sed 's/$/ \&/' | sh -
40
     consumer    = sed 's/$/ \&/' | sh -
27
 
41
 
28
-[menu.def.run_hist]
42
+[menu.run_hist]
29
     mode = history
43
     mode = history
30
     consumer = sed 's/$/ \&/' | sh -
44
     consumer = sed 's/$/ \&/' | sh -
31
 
45
 
32
-[menu.def.browsers]
46
+[menu.ddg]
47
+    generator = true
48
+    consumer = zbmo wish -q ddg -f
49
+
50
+[menu.ddg_hist]
51
+    mode = history
52
+    consumer = zbmo wish -q ddg -f
53
+
54
+[menu.browsers]
33
     item = uzbl-browser
55
     item = uzbl-browser
34
     item = vimb
56
     item = vimb
35
     item = firefox
57
     item = firefox
38
     item = opera-beta
60
     item = opera-beta
39
     consumer = cat
61
     consumer = cat
40
 
62
 
41
-[menu.def.context]
42
-    generator = echo none; task context list | grep '^[a-z]'
43
-    selector_args = --split ' ' --split-field 1
44
-    consumer = xargs -r task context
63
+[menu.smash]
64
+    generator = $HOME/bin/dynmenu smash
65
+    split_delim = =
66
+    consumer    = bash -
67
+
68
+[menu.windows]
69
+    generator = ~/.config/i3/bin/i3-lswin
70
+    consumer = ~/.config/i3/bin/i3-focuswin
71
+
72
+[menu.zk]
73
+    env = ZKZIG_ROOT=$HOME/.local/pim/zk
74
+    generator = sh -c "ZKZIG_ROOT=$HOME/.local/pim/zk zkzig find | tac"
75
+    prompt = open/make:
76
+    consumer = zk do
77
+
78
+[menu.zkxx]
79
+    generator = sh -c "ZKZIG_ROOT=$HOME/.local/pim/zk zkzig find | sort | tac"
80
+    split_delim = |
81
+    split_range = 1
82
+    prompt = copy id:
83
+    consumer = zkzig xr
45
 
84
 
46
-[menu.def.projects]
47
-    generator = projects_now
48
-    selector_args = -- -p 'pwatcher for:'
49
-    consumer = pwatcher -
85
+[menu.uemoji]
86
+    generator = uemoji ls
87
+    prompt = copy:
88
+    consumer = uemoji dec | xclip -i -selection clipboard; exit
89
+
90
+[menu.go_vcs]
91
+    mode = command+history
92
+    histsize = 20
93
+    generator = find -L ~/vcs.brani ~/vcs.mystream ~/vcs.codecrafters ~/vcs.vinfra ~/vcs.jats ~/st/vcs.private  -maxdepth 2 -type d | grep -Eo '\<(st/)?vcs[.][^/]+/[^/]+' | sort | uniq
94
+    consumer = cd $(cat) && twinner bash
95
+
96
+[menu.gowork_focused]
97
+    mode = command+history
98
+    prompt = nvim 
99
+    generator = zbmo gowork -f
100
+    consumer = zbmo gowork -o
101
+
102
+[menu.librewolves]
103
+    mode = items
104
+    item = librewolf-main
105
+    item = librewolf-music
106
+    item = librewolf-learning
107
+    item = librewolf-gaming
108
+    item = librewolf-video
109
+    consumer = sed 's/$/ \&/' | sh -
50
 
110
 
51
-[menu.def.windows]
52
-    generator = ~/.i3/bin/i3-lswin
53
-    consumer = ~/.i3/bin/i3-focuswin

+ 14
- 41
dotfiles/config/bmo/nag.ini Прегледај датотеку

1
-[nag.stream]
2
-    master = event overdue projsum active week stconflict wttr timenow
1
+[stream]
2
+    main = stconflict timenow
3
+    wttr = wttr
3
 
4
 
4
-[nag.def.timenow]
5
-    command = date --rfc-3339=seconds
6
-    expiry = 10 minutes
5
+[nag.timenow]
6
+    command = date +%H:%M
7
+    expiry = 10m
7
     term-color = magenta
8
     term-color = magenta
8
 
9
 
9
-[nag.def.event]
10
-    command = task rc.verbose=nothing list +event due.before:now+2w -ACTIVE
11
-    expiry = 6 hours
12
-    term-color = magenta
13
-
14
-[nag.def.projsum]
15
-    command = task rc.verbose=nothing summary +PROJECT
16
-    expiry = 6 hours
17
-    term-color = lgreen
18
-
19
-[nag.def.stconflict]
20
-    command = find $HOME/st/config/dotfiles* -name "*conflict*" | grep -v st/config/dotfiles/weechat
21
-    expiry = 3 hours
10
+[nag.stconflict]
11
+    command = find $HOME/st/config/dotfiles* -name "*conflict*" | grep -v st/config/dotfiles/weechat | grep . || true
12
+    expiry = 3h
22
     notify-urgency = critical
13
     notify-urgency = critical
23
     term-color = lred
14
     term-color = lred
24
 
15
 
25
-[nag.def.week]
26
-    command = task rc.verbose=nothing list +WEEK -ACTIVE
27
-    expiry = 2 hours
28
-    notify-urgency = low
29
-    term-color = lblack
30
-
31
-[nag.def.overdue]
32
-    command = task rc.verbose=nothing list +OVERDUE -ACTIVE
33
-    expiry = 30 minutes
34
-    notify-urgency = critical
35
-    term-color = lred
36
-
37
-[nag.def.active]
38
-    command = task rc.verbose=nothing list +ACTIVE
39
-    expiry = 5 minutes
40
-    notify-urgency = normal
41
-    term-color = lblue
42
-
43
-[nag.def.wttr]
44
-    command = curl -s 'wttr.in/?1&n&q&T'
45
-    expiry = 3 hours
16
+[nag.wttr]
17
+    command = curl -s 'wttr.in/Brno?1&n&q&T'
18
+    expiry = 3h
46
     notify-urgency = low
19
     notify-urgency = low
47
     term-color = lblue
20
     term-color = lblue
48
 
21
 
49
-[nag.def.fortune]
22
+[nag.fortune]
50
     command = fortune -s tao
23
     command = fortune -s tao
51
-    expiry = 90 minutes
24
+    expiry = 90m
52
     notify-urgency = normal
25
     notify-urgency = normal
53
     term-color = lyellow
26
     term-color = lyellow

+ 11
- 3
dotfiles/config/bmo/sensible.ini Прегледај датотеку

1
 
1
 
2
-[sensible.tty]
2
+[platform.tty]
3
 
3
 
4
     browser = w3m
4
     browser = w3m
5
     browser = elinks
5
     browser = elinks
6
     browser = links
6
     browser = links
7
     browser = lynx
7
     browser = lynx
8
 
8
 
9
+    editor = nvim
9
     editor = vim
10
     editor = vim
10
     editor = nano
11
     editor = nano
11
     editor = vi
12
     editor = vi
19
     aplayer = mocp
20
     aplayer = mocp
20
 
21
 
21
 
22
 
22
-[sensible.gui]
23
+[platform.gui]
23
 
24
 
24
     browser = vimb
25
     browser = vimb
26
+    browser = servo
27
+    browser = dillo
25
     browser = uzbl-browser
28
     browser = uzbl-browser
26
     browser = surf
29
     browser = surf
27
     browser = qutebrowser
30
     browser = qutebrowser
37
 
40
 
38
     vplayer = vlc
41
     vplayer = vlc
39
 
42
 
43
+    aplayer = strawberry
40
     aplayer = clementine
44
     aplayer = clementine
41
 
45
 
42
     terminal = x-terminal-emulator
46
     terminal = x-terminal-emulator
56
     terminal = terminology
60
     terminal = terminology
57
     terminal = st
61
     terminal = st
58
 
62
 
59
-    editor = leafpad
63
+    editor = mousepad
60
     editor = gvim
64
     editor = gvim
61
     editor = gedit
65
     editor = gedit
66
+
67
+    image-viewer = ristretto
68
+
69
+    opener = xdg-open

+ 0
- 12
dotfiles/config/bmo/style.ini Прегледај датотеку

1
-
2
-[style]
3
-    font = Dejavu Sans Mono:pixelsize=16
4
-
5
-[style.color]
6
-    nbg = #222222
7
-    nfg = #bbbbbb
8
-    sbg = #559955
9
-    sfg = #bbbbbb
10
-    nbr = #335533
11
-    sbr = #f0dfaf
12
-#   ^ hint: normal/selected: bg/fg/borders

+ 16
- 12
dotfiles/config/bmo/wish.ini Прегледај датотеку

1
 
1
 
2
-[wish.bookmark]
2
+[bookmark]
3
 
3
 
4
     bc      = https://bandcamp.com/
4
     bc      = https://bandcamp.com/
5
-    bri     = https://brilliant.org/
5
+    brio    = https://brilliant.org/
6
+    bsky    = https://bsky.app/
6
     deb     = https://www.debian.org/distrib/packages
7
     deb     = https://www.debian.org/distrib/packages
7
     dd      = http://devdocs.io/
8
     dd      = http://devdocs.io/
8
     ddg     = https://duckduckgo.com/
9
     ddg     = https://duckduckgo.com/
10
     dmoz    = http://www.dmoz.org/
11
     dmoz    = http://www.dmoz.org/
11
     fas     = https://admin.fedoraproject.org/accounts/user/view/netvor
12
     fas     = https://admin.fedoraproject.org/accounts/user/view/netvor
12
     fcopr   = https://copr.fedorainfracloud.org/coprs/netvor
13
     fcopr   = https://copr.fedorainfracloud.org/coprs/netvor
14
+    fml     = https://app.fastmail.com/mail/
13
     fm      = https://www.fastmail.com/
15
     fm      = https://www.fastmail.com/
14
     fmca    = https://www.fastmail.com/calendar/
16
     fmca    = https://www.fastmail.com/calendar/
15
     fmco    = https://www.fastmail.com/contacts/
17
     fmco    = https://www.fastmail.com/contacts/
16
     g       = http://www.google.com/
18
     g       = http://www.google.com/
17
-    glcom   = https://www.gitlab.com/
19
+    glcom   = https://www.gitlab.com/vornet/
18
     gvc     = https://gitea.vornet.cz/
20
     gvc     = https://gitea.vornet.cz/
19
     gh      = https://www.github.com/
21
     gh      = https://www.github.com/
20
     hi      = http://www.hellointernet.fm/
22
     hi      = http://www.hellointernet.fm/
28
     noise:jlow = https://mynoise.net/NoiseMachines/jungleNoiseGenerator.php?l=47251829430000343721
30
     noise:jlow = https://mynoise.net/NoiseMachines/jungleNoiseGenerator.php?l=47251829430000343721
29
     noise:infra = https://mynoise.net/NoiseMachines/whiteNoiseGenerator.php?l=66442817080300000000
31
     noise:infra = https://mynoise.net/NoiseMachines/whiteNoiseGenerator.php?l=66442817080300000000
30
     kam     = http://www.kam.vutbr.cz/?p=otdo
32
     kam     = http://www.kam.vutbr.cz/?p=otdo
31
-    kb      = https://keybase.io/netvor/
32
-    kbfs    = https://keybase.pub/netvor/
33
     ma      = http://www.mapy.cz/
33
     ma      = http://www.mapy.cz/
34
     mbr     = https://musicbrainz.org/
34
     mbr     = https://musicbrainz.org/
35
     mfp     = http://musicforprogramming.net/
35
     mfp     = http://musicforprogramming.net/
46
     wnoise  = https://mynoise.net/NoiseMachines/whiteNoiseGenerator.php
46
     wnoise  = https://mynoise.net/NoiseMachines/whiteNoiseGenerator.php
47
     rdt     = https://www.reddit.com/subreddits/
47
     rdt     = https://www.reddit.com/subreddits/
48
     so      = https://stackoverflow.com/
48
     so      = https://stackoverflow.com/
49
-    sx      = https://searx.me/
49
+    sx      = https://paulgo.io/
50
     tg      = https://web.telegram.org/
50
     tg      = https://web.telegram.org/
51
     tgi     = https://try.gitea.io/
51
     tgi     = https://try.gitea.io/
52
     tjc     = https://together.jolla.com/
52
     tjc     = https://together.jolla.com/
53
     tor     = https://theoldreader.com/
53
     tor     = https://theoldreader.com/
54
     tw      = https://twitter.com/
54
     tw      = https://twitter.com/
55
     w       = http://en.wikipedia.org/
55
     w       = http://en.wikipedia.org/
56
-    wpc     = https://webmail.profitux.cz/
56
+    wmc     = https://webmail.migadu.com/
57
     xkcd    = http://xkcd.com/
57
     xkcd    = http://xkcd.com/
58
     yt      = https://www.youtube.com/
58
     yt      = https://www.youtube.com/
59
     zoo     = http://www.zooborns.com/
59
     zoo     = http://www.zooborns.com/
60
+    mastonu = https://masto.nu/
60
 
61
 
61
-[wish.query]
62
+[query]
62
 
63
 
63
     am      = http://www.allmusic.com/search/all/%s
64
     am      = http://www.allmusic.com/search/all/%s
64
     bc      = https://bandcamp.com/search?q=%s
65
     bc      = https://bandcamp.com/search?q=%s
66
+    bz      = https://bugzilla.redhat.com/show_bug.cgi?id=%s
65
     cd      = http://www.collinsdictionary.com/dictionary/english/%s
67
     cd      = http://www.collinsdictionary.com/dictionary/english/%s
66
     d       = http://www.collinsdictionary.com/dictionary/english/%s
68
     d       = http://www.collinsdictionary.com/dictionary/english/%s
67
     dd      = http://devdocs.io/%s
69
     dd      = http://devdocs.io/%s
69
     deb     = https://packages.debian.org/search?keywords=%s
71
     deb     = https://packages.debian.org/search?keywords=%s
70
     debsec  = https://security-tracker.debian.org/tracker/%s
72
     debsec  = https://security-tracker.debian.org/tracker/%s
71
     fas     = https://admin.fedoraproject.org/accounts/user/view/%s
73
     fas     = https://admin.fedoraproject.org/accounts/user/view/%s
74
+    fcopr   = https://copr.fedorainfracloud.org/coprs/%s
72
     fd      = http://foldoc.org/%s
75
     fd      = http://foldoc.org/%s
73
-    g       = http://www.google.com/search?q=%s
76
+    g       = http://www.google.com/search?udm=14&q=%s
74
     gdp     = https://www.google.com/search?q=debian+packaging+%s
77
     gdp     = https://www.google.com/search?q=debian+packaging+%s
75
     ht      = http://%s/
78
     ht      = http://%s/
76
-    kb      = https://keybase.io/%s/
77
     kbfs    = https://keybase.pub/%s/
79
     kbfs    = https://keybase.pub/%s/
78
     ma      = http://www.mapy.cz/?q=%s
80
     ma      = http://www.mapy.cz/?q=%s
79
     oh      = https://www.openhub.net/p?q=%s
81
     oh      = https://www.openhub.net/p?q=%s
82
+    pep     = https://peps.python.org/pep-%s/
80
     rfc     = https://tools.ietf.org/html/rfc%s
83
     rfc     = https://tools.ietf.org/html/rfc%s
84
+    rhbz    = https://bugzilla.redhat.com/show_bug.cgi?id=%s
81
     sc      = http://slovnik.cz/bin/mld.fpl?dictdir=encz.cz&lines=90&vcb=%s
85
     sc      = http://slovnik.cz/bin/mld.fpl?dictdir=encz.cz&lines=90&vcb=%s
82
     se      = http://slovnik.cz/bin/mld.fpl?dictdir=encz.en&lines=90&vcb=%s
86
     se      = http://slovnik.cz/bin/mld.fpl?dictdir=encz.en&lines=90&vcb=%s
83
     sd      = http://slovnik.cz/bin/mld.fpl?dictdir=gecz.ge&lines=90&vcb=%s
87
     sd      = http://slovnik.cz/bin/mld.fpl?dictdir=gecz.ge&lines=90&vcb=%s
84
     sf      = http://slovnik.cz/bin/mld.fpl?dictdir=frcz.fr&lines=90&vcb=%s
88
     sf      = http://slovnik.cz/bin/mld.fpl?dictdir=frcz.fr&lines=90&vcb=%s
85
     ud      = http://www.urbandictionary.com/define.php?term=%s
89
     ud      = http://www.urbandictionary.com/define.php?term=%s
86
-    the     = http://www.thesaurus.com/browse/%s
87
-    sx      = https://searx.me/?q=%s
90
+    thes    = http://www.thesaurus.com/browse/%s
91
+    sx      = https://paulgo.io/?q=%s
88
     tfd     = http://www.thefreedictionary.com/%s
92
     tfd     = http://www.thefreedictionary.com/%s
89
     tldr    = http://www.ostera.io/tldr.jsx/#/%s
93
     tldr    = http://www.ostera.io/tldr.jsx/#/%s
90
     w       = http://en.wikipedia.org/wiki/%s
94
     w       = http://en.wikipedia.org/wiki/%s

+ 1
- 1
dotfiles/config/dunst/dunstrc Прегледај датотеку

21
     separator_color = frame
21
     separator_color = frame
22
     startup_notification = true
22
     startup_notification = true
23
     dmenu = /usr/bin/dmenu -p dunst:
23
     dmenu = /usr/bin/dmenu -p dunst:
24
-    browser = ub
24
+    browser = dillo
25
     frame_width = 3
25
     frame_width = 3
26
     frame_color = "#aaaaaa"
26
     frame_color = "#aaaaaa"
27
 
27
 

+ 8
- 6
dotfiles/config/git/gitk Прегледај датотеку

51
 set circlecolors {white blue gray blue blue}
51
 set circlecolors {white blue gray blue blue}
52
 set linkfgcolor #c5f779
52
 set linkfgcolor #c5f779
53
 set circleoutlinecolor black
53
 set circleoutlinecolor black
54
-set geometry(main) 1080x1689+0+0
54
+set diffbgcolors {"#fff3f3" "#f0fff0"}
55
+set web_browser xdg-open
56
+set geometry(main) 1920x1050+0+0
55
 set geometry(state) normal
57
 set geometry(state) normal
56
-set geometry(topwidth) 1080
58
+set geometry(topwidth) 1920
57
 set geometry(topheight) 294
59
 set geometry(topheight) 294
58
-set geometry(pwsash0) "435 1"
59
-set geometry(pwsash1) "583 1"
60
-set geometry(botwidth) 546
61
-set geometry(botheight) 1390
60
+set geometry(pwsash0) "1087 1"
61
+set geometry(pwsash1) "1157 1"
62
+set geometry(botwidth) 1167
63
+set geometry(botheight) 751
62
 set permviews {}
64
 set permviews {}

+ 5
- 7
dotfiles/config/gittum/bin/slurp Прегледај датотеку

110
     #
110
     #
111
     # Do the push (if allowed)
111
     # Do the push (if allowed)
112
     #
112
     #
113
-    if $force_push || allowed_push;
114
-    then
115
-        if has_flag ci; then
116
-            git push
117
-        else
118
-            git push -o ci.skip
119
-        fi
113
+    $force_push || allowed_push || return 0
114
+    if has_flag ci; then
115
+        git push
116
+    else
117
+        git push -o ci.skip
120
     fi
118
     fi
121
 }
119
 }
122
 
120
 

+ 1
- 1
dotfiles/config/gittum/host/adoref.gitconfig Прегледај датотеку

1
-../../../../../../config/dotfiles/gittum/host/adoref.gitconfig
1
+../../../../../../config/dotfiles/config/gittum/host/adoref.gitconfig

+ 1
- 0
dotfiles/config/gittum/host/gibbon.gitconfig Прегледај датотеку

1
+../../../../../../config/dotfiles/config/gittum/host/gibbon.gitconfig

+ 1
- 1
dotfiles/config/gittum/host/malakar.gitconfig Прегледај датотеку

1
-../../../../../../config/dotfiles/gittum/host/malakar.gitconfig
1
+../../../../../../config/dotfiles/config/gittum/host/malakar.gitconfig

+ 1
- 1
dotfiles/config/gittum/host/morel.gitconfig Прегледај датотеку

1
-../../../../../../config/dotfiles/gittum/host/morel.gitconfig
1
+../../../../../../config/dotfiles/config/gittum/host/morel.gitconfig

+ 1
- 1
dotfiles/config/gittum/host/nauron.gitconfig Прегледај датотеку

1
-../../../../../../config/dotfiles/gittum/host/nauron.gitconfig
1
+../../../../../../config/dotfiles/config/gittum/host/nauron.gitconfig

+ 1
- 1
dotfiles/config/gittum/host/tamten.gitconfig Прегледај датотеку

1
-../../../../../../config/dotfiles/gittum/host/tamten.gitconfig
1
+../../../../../../config/dotfiles/config/gittum/host/tamten.gitconfig

+ 1
- 1
dotfiles/config/gittum/host/vagrus.gitconfig Прегледај датотеку

1
-../../../../../../config/dotfiles/gittum/host/vagrus.gitconfig
1
+../../../../../../config/dotfiles/config/gittum/host/vagrus.gitconfig

+ 2
- 2
dotfiles/config/gittum/main.gitconfig Прегледај датотеку

32
         --pretty=tformat:"%x1b[31m%h%x20%x1b[32m%d%x1b[0m%x20%s%x1b[0m"\
32
         --pretty=tformat:"%x1b[31m%h%x20%x1b[32m%d%x1b[0m%x20%s%x1b[0m"\
33
         --simplify-by-decoration
33
         --simplify-by-decoration
34
   k = !sh -c \
34
   k = !sh -c \
35
-      '(which gitk >/dev/null || (echo "gitk not installed" && false)) && gitk $@' --
35
+      'gitk $@' --
36
   ka = !sh -c \
36
   ka = !sh -c \
37
-       '(which gitk >/dev/null || (echo "gitk not installed" && false)) && gitk $@ --all' --
37
+       'gitk $@ --all' --
38
   rb = rebase
38
   rb = rebase
39
   rbc = rebase --continue
39
   rbc = rebase --continue
40
   rbi = rebase --interactive
40
   rbi = rebase --interactive

+ 11
- 9
dotfiles/config/i3/bin/cstatus Прегледај датотеку

7
     local h
7
     local h
8
     local m
8
     local m
9
     local s
9
     local s
10
-    s=$(qdbus org.mpris.clementine /Player org.freedesktop.MediaPlayer.PositionGet)
10
+    local ms
11
+    ms=$(qdbus org.mpris.MediaPlayer2.clementine /org/mpris/MediaPlayer2 org.mpris.MediaPlayer2.Player.Position)
12
+    s=$((ms/1000))
11
     s=$((s/1000))
13
     s=$((s/1000))
12
     h=$((s/3600))
14
     h=$((s/3600))
13
     s=$((s%3600))
15
     s=$((s%3600))
35
     local color_attr
37
     local color_attr
36
     local cache
38
     local cache
37
     cache=$(mktemp -t cstatus.GetMetadata.XXXXXXXX)
39
     cache=$(mktemp -t cstatus.GetMetadata.XXXXXXXX)
38
-    qdbus org.mpris.clementine /Player org.freedesktop.MediaPlayer.GetMetadata >"$cache"
39
-    case $(qdbus org.mpris.clementine /org/mpris/MediaPlayer2 org.mpris.MediaPlayer2.Player.PlaybackStatus) in
40
+    qdbus org.mpris.MediaPlayer2.clementine /org/mpris/MediaPlayer2 org.mpris.MediaPlayer2.Player.Metadata >"$cache"
41
+    case $(qdbus org.mpris.MediaPlayer2.clementine /org/mpris/MediaPlayer2 org.mpris.MediaPlayer2.Player.PlaybackStatus) in
40
         Stopped)    sigil=""; sigilcolor= ;;
42
         Stopped)    sigil=""; sigilcolor= ;;
41
         Playing)    sigil=""; sigilcolor=green ;;
43
         Playing)    sigil=""; sigilcolor=green ;;
42
         Paused)     sigil=""; sigilcolor=gray;;
44
         Paused)     sigil=""; sigilcolor=gray;;
44
     esac
46
     esac
45
     test -n "$sigilcolor" && color_attr=" color='$sigilcolor'"
47
     test -n "$sigilcolor" && color_attr=" color='$sigilcolor'"
46
     while read -r line; do
48
     while read -r line; do
47
-        key=${line%%:*}
49
+        key=${line%%: *}
48
         value=${line#$key: }
50
         value=${line#$key: }
49
         case $key in
51
         case $key in
50
-            artist)       artist=$value ;;
51
-            year)         year=$value ;;
52
-            album)        album=$value ;;
53
-            tracknumber)  tracknumber=$value ;;
54
-            title)        title=$value ;;
52
+            xesam:artist)       artist=$value ;;
53
+            year)               year=$value ;;
54
+            xesam:album)        album=$value ;;
55
+            xesam:trackNumber)  tracknumber=$value ;;
56
+            xesam:title)        title=$value ;;
55
         esac
57
         esac
56
     done <"$cache"
58
     done <"$cache"
57
     printf "%s [%d %s]: %02d %s (%s) <span%s>%s</span>" \
59
     printf "%s [%d %s]: %02d %s (%s) <span%s>%s</span>" \

+ 135
- 6
dotfiles/config/i3/bin/i3staplus Прегледај датотеку

2
 
2
 
3
 # prepend i3status with more stuff
3
 # prepend i3status with more stuff
4
 
4
 
5
+
6
+I3STAPLUS__SSHAK_NEED=${I3STAPLUS__SSHAK_NEED:-F}
7
+I3STAPLUS__LOG=${I3STAPLUS__LOG:-true}
8
+I3STAPLUS__LOGDIR=${I3STAPLUS__LOGDIR:-"$HOME/.local/share/i3staplus/logs"}
9
+I3STAPLUS__KPRINC_NEED=${I3STAPLUS__KPRINC_NEED:-T}
10
+
5
 kb_layout() {
11
 kb_layout() {
6
     local layout
12
     local layout
7
     local color
13
     local color
13
         us) color='' ;;
19
         us) color='' ;;
14
         *)  color=',"color": "#ff0000"' ;;
20
         *)  color=',"color": "#ff0000"' ;;
15
     esac
21
     esac
16
-    printf '{"full_text": " %s"%s},' \
22
+    printf '{"full_text": "  %s"%s},' \
17
         "$layout" "$color"
23
         "$layout" "$color"
18
 }
24
 }
19
 
25
 
24
     test -s "$ovw_path" || return 0
30
     test -s "$ovw_path" || return 0
25
     ovw=$(cat "$ovw_path")
31
     ovw=$(cat "$ovw_path")
26
     case $ovw in
32
     case $ovw in
27
-        *%onbreak)  color=',"color": "#33aa55"' ;;
33
+        *%gone)     color=',"color": "#ff0000"' ;;
28
         *%mtg)      color=',"color": "#ff0000"' ;;
34
         *%mtg)      color=',"color": "#ff0000"' ;;
35
+        *%presenting)   color=',"color": "#ff0000"' ;;
36
+        *%onbreak)  color=',"color": "#33aa55"' ;;
29
         *%working)  color=',"color": "#cccccc"' ;;
37
         *%working)  color=',"color": "#cccccc"' ;;
30
         *)          color='' ;;
38
         *)          color='' ;;
31
     esac
39
     esac
33
         "$ovw" "$color"
41
         "$ovw" "$color"
34
 }
42
 }
35
 
43
 
44
+zbmo_V() {
45
+    local ver
46
+    local err=F
47
+    local color
48
+    ver=$(zbmo -V) || err=T
49
+    test -n "$ver" || ver="(none)"
50
+    case $err:$ver in
51
+        T:*)    color=',"color": "#ff0000"' ;;
52
+        *:*+*)  color=',"color": "#f08000"' ;;
53
+    esac
54
+    printf '{"full_text": "ⓩ %s"%s},' \
55
+        "$ver" "$color"
56
+}
57
+
58
+gibrs() {
59
+    local out
60
+    out=$(showgbr | head -1 | sed 's/"/\\"/')
61
+    test -n "$out" || return 0
62
+    printf '{"full_text": "ⓖ %s"},' \
63
+       "$out"
64
+}
65
+
66
+kprinc() {
67
+    local principal
68
+    local err=F
69
+    local color=',"color": "%cccccc"'
70
+    principal=$(
71
+        klist -A 2>/dev/null \
72
+          | grep -m1 '^Default principal: ' \
73
+          | cut -d' ' -f3- \
74
+          | tr '@' '\n' \
75
+          | tr '.' '\n' \
76
+          | grep -o '^.' \
77
+          | tr -d '\n'
78
+    )
79
+    principal_n=$(
80
+        klist -A 2>/dev/null \
81
+          | grep -c '^Default principal: '
82
+    )
83
+    case "$principal_n" in
84
+        0)  principal='(n)'
85
+            color=',"color": "#f08000"' ;;
86
+        1)  : ;;
87
+        *)  principal="$principal+" ;;
88
+    esac
89
+    printf '{"full_text": "ⓚ %s"%s},' \
90
+        "$principal" "$color"
91
+}
92
+
93
+sshak() {
94
+    local keys_desc
95
+    local keys_n
96
+    local err=F
97
+    local color=',"color": "#cccccc"'
98
+    keys_n=$(
99
+        ssh-add -l \
100
+          | grep -cv 'The agent has no identities'
101
+    )
102
+    keys_desc=$(
103
+        ssh-add -l \
104
+          | grep -v 'The agent has no identities' \
105
+          | while read -r k_size k_id k_cmt k_alg; do
106
+                shortcmt=$(
107
+                    echo "$k_cmt" \
108
+                      | sed -E '
109
+                            s/([^@]).*@([^ ]).*/\1@\2/
110
+                        '
111
+                )
112
+                test -n "$shortcmt" \
113
+                 && echo "$shortcmt" \
114
+                 && continue
115
+                echo "$k_id" | sed -E 's/.*:(...).*/\1/'
116
+            done
117
+    )
118
+    case "$keys_n:$I3STAPLUS__SSHAK_NEED" in
119
+        0:T)    color=',"color": "#f08000"'; keys_desc='(n)' ;;
120
+        0:*)                                 keys_desc='(n)' ;;
121
+#       *)      color=',"color": "#cccccc"' ;;
122
+    esac
123
+    printf '{"full_text": "ⓢ %s"%s},' \
124
+        "$keys_desc" "$color"
125
+}
126
+
127
+m_sprintn() {
128
+    return 0
129
+    local sprintn
130
+    local color
131
+    local ccode
132
+    sprintn=$(scrumq)
133
+    case $sprintn in
134
+        *r3) ccode='#ffddcc' ;; # Mon
135
+        *r2) ccode='#ffaa99' ;;
136
+        *r1) ccode='#ff7766' ;;
137
+        *r0) ccode='#ff3333' ;;
138
+        *)  ccode='' ;;
139
+    esac
140
+    test -n "$ccode" && color=',"color": "'"$ccode"'"'
141
+    printf '{"full_text": " %s"%s},' \
142
+        "$sprintn" "$color"
143
+}
144
+
145
+if test "$I3STAPLUS__LOG" = "true"; then
146
+    mkdir -p "$I3STAPLUS__LOGDIR"
147
+    log_pre() {
148
+        tee "$I3STAPLUS__LOGDIR/debug-pre.json"
149
+    }
150
+    log_post() {
151
+        tee "$I3STAPLUS__LOGDIR/debug-post.json"
152
+    }
153
+else
154
+    log_pre() {
155
+        cat
156
+    }
157
+    log_post() {
158
+        cat
159
+    }
160
+fi
161
+
36
 i3status \
162
 i3status \
163
+  | log_pre \
37
   | while true
164
   | while true
38
     do
165
     do
39
-        read line
166
+        read -r line
167
+        INFIX="$(kb_layout)$(bmo_be_ovw)$(zbmo_V)$(gibrs)$(kprinc)$(sshak)"
40
         case $line in
168
         case $line in
41
-            '[{'*)  line="[$(kb_layout)$(bmo_be_ovw){${line#\[\{}" ;;
42
-            ',[{'*) line=",[$(kb_layout)$(bmo_be_ovw){${line#,\[\{}" ;;
169
+            '[{'*)  line="[$INFIX{${line#\[\{}" ;;
170
+            ',[{'*) line=",[$INFIX{${line#,\[\{}" ;;
43
         esac
171
         esac
44
         echo "$line"
172
         echo "$line"
45
-    done
173
+    done \
174
+  | log_post

+ 60
- 38
dotfiles/config/i3/config Прегледај датотеку

62
 
62
 
63
 floating_modifier $mod
63
 floating_modifier $mod
64
 mouse_warping none
64
 mouse_warping none
65
-hide_edge_borders vertical
65
+hide_edge_borders both
66
 font pango:Inconsolata 12
66
 font pango:Inconsolata 12
67
 workspace_layout stacked
67
 workspace_layout stacked
68
 workspace_auto_back_and_forth yes
68
 workspace_auto_back_and_forth yes
181
   #        
181
   #        
182
   # ⓿ ❶ ❷ ❸ ❹ ❺ ❻ ❼ ❽ ❾
182
   # ⓿ ❶ ❷ ❸ ❹ ❺ ❻ ❼ ❽ ❾
183
   set $neutral  "<span></span> %title"
183
   set $neutral  "<span></span> %title"
184
-  set $runn     "<span foreground='cyan'></span> %title"
184
+  set $task     "<span foreground='cyan'></span> %title"
185
   set $pass     "<span foreground='lime'></span> %title"
185
   set $pass     "<span foreground='lime'></span> %title"
186
   set $warn     "<span foreground='orange'></span> %title"
186
   set $warn     "<span foreground='orange'></span> %title"
187
   set $fail     "<span foreground='#992222'></span> %title"
187
   set $fail     "<span foreground='#992222'></span> %title"
225
   set $letterY "Ⓨ %title"
225
   set $letterY "Ⓨ %title"
226
   set $letterZ "Ⓩ %title"
226
   set $letterZ "Ⓩ %title"
227
 
227
 
228
+  set $running_man  "🮲🮳%title"
229
+  set $backend      " %title"
230
+  set $frontend     " %title"
231
+  set $deploy       " %title"
232
+
228
   set $strike   "<s>%title</s>"
233
   set $strike   "<s>%title</s>"
229
   set $unders   "<u>%title</u>"
234
   set $unders   "<u>%title</u>"
230
   set $italic   "<i>%title</i>"
235
   set $italic   "<i>%title</i>"
244
   bindsym p             title_format $pass   ; mode "default"
249
   bindsym p             title_format $pass   ; mode "default"
245
   bindsym bracketleft   title_format $warn   ; mode "default"
250
   bindsym bracketleft   title_format $warn   ; mode "default"
246
   bindsym bracketright  title_format $fail   ; mode "default"
251
   bindsym bracketright  title_format $fail   ; mode "default"
247
-  bindsym apostrophe    title_format $runn   ; mode "default"
252
+  bindsym apostrophe    title_format $task   ; mode "default"
248
   bindsym semicolon     title_format $neutral; mode "default"
253
   bindsym semicolon     title_format $neutral; mode "default"
249
 
254
 
250
   bindsym w             title_format $watcher ; mode "default"
255
   bindsym w             title_format $watcher ; mode "default"
289
   bindsym Shift+o       title_format $letterO; mode "default"
294
   bindsym Shift+o       title_format $letterO; mode "default"
290
   bindsym Shift+p       title_format $letterP; mode "default"
295
   bindsym Shift+p       title_format $letterP; mode "default"
291
   bindsym Shift+q       title_format $letterQ; mode "default"
296
   bindsym Shift+q       title_format $letterQ; mode "default"
292
-  bindsym Shift+r       title_format $letterR; mode "default"
297
+  bindsym Shift+r       title_format $running_man; mode "default"
293
   bindsym Shift+s       title_format $letterS; mode "default"
298
   bindsym Shift+s       title_format $letterS; mode "default"
294
   bindsym Shift+t       title_format $letterT; mode "default"
299
   bindsym Shift+t       title_format $letterT; mode "default"
295
   bindsym Shift+u       title_format $letterU; mode "default"
300
   bindsym Shift+u       title_format $letterU; mode "default"
299
   bindsym Shift+y       title_format $letterY; mode "default"
304
   bindsym Shift+y       title_format $letterY; mode "default"
300
   bindsym Shift+z       title_format $letterZ; mode "default"
305
   bindsym Shift+z       title_format $letterZ; mode "default"
301
 
306
 
307
+  bindsym Shift+Left    title_format $backend; mode "default"
308
+  bindsym Shift+Right   title_format $frontend; mode "default"
309
+  bindsym Shift+Up      title_format $deploy; mode "default"
310
+
302
   bindsym $mod+backslash    mode "default"
311
   bindsym $mod+backslash    mode "default"
303
   bindsym Escape            mode "default"
312
   bindsym Escape            mode "default"
304
   bindsym Return            mode "default"
313
   bindsym Return            mode "default"
329
         separator_symbol "•"
338
         separator_symbol "•"
330
         # other suggestions:
339
         # other suggestions:
331
         #     ‧•┇╻╹╹╿═╎╏◆◾║︙⎪∣∕⟘⟙∙∼⦀⦑⦒⦚⧸⧹▓▒░⧻⧺┆˘͡͡ːˌ˷|・፧።
340
         #     ‧•┇╻╹╹╿═╎╏◆◾║︙⎪∣∕⟘⟙∙∼⦀⦑⦒⦚⧸⧹▓▒░⧻⧺┆˘͡͡ːˌ˷|・፧።
341
+        tray_output primary
332
         colors {
342
         colors {
333
                 statusline         $col_b_stln
343
                 statusline         $col_b_stln
334
                 background         $col_b_bgnd
344
                 background         $col_b_bgnd
358
 ## Openers                                                              ##
368
 ## Openers                                                              ##
359
 #------------------------------------------------------------------------#
369
 #------------------------------------------------------------------------#
360
 
370
 
361
-bindsym $mod+Return         exec "urxvt"
371
+bindsym $mod+Return         exec "alacritty"
362
 bindsym $mod+Shift+Return   exec "xfce4-terminal"
372
 bindsym $mod+Shift+Return   exec "xfce4-terminal"
363
-bindsym $mod+Home           exec "$spn bmo menu home"
373
+bindsym $mod+End            exec "zbmo -n menu tikrs"
374
+bindsym $mod+Home           exec "zbmo -n menu home"
364
 bindsym $mod+Shift+Home     exec "thunar"
375
 bindsym $mod+Shift+Home     exec "thunar"
365
-bindsym $mod+p              exec "$spn bmo menu run"
366
-bindsym $mod+Shift+p        exec "$spn bmo menu run_hist"
367
-bindsym $mod+z              exec "xclock"
368
-bindsym $mod+equal          exec "urxvt -e glances"
376
+bindsym $mod+minus          exec "zbmo -n menu go_vcs"
377
+bindsym $mod+equal          exec "zbmo -n menu gowork_focused"
378
+bindsym $mod+p              exec "zbmo -n menu run"
379
+bindsym $mod+Shift+p        exec "zbmo -n menu run_hist"
380
+bindsym $mod+o              exec "zclock"
381
+bindsym $mod+d              exec "zbmo -n menu ddg_hist"
382
+bindsym $mod+Shift+d        exec "zbmo -n menu ddg"
383
+bindsym $mod+Shift+e        exec "zbmo -n menu uemoji"
384
+bindsym $mod+z              exec "zbmo -n menu zk"
385
+bindsym $mod+Shift+z        exec "zbmo -n menu zkxx"
386
+bindsym $mod+period         exec "btopnow"
387
+bindsym $mod+x              exec "mousepad"
388
+bindsym $mod+slash          exec "pavunow"
389
+bindsym XF86Calculator      exec "twinner ipython3"
369
 
390
 
370
 #------------------------------------------------------------------------#
391
 #------------------------------------------------------------------------#
371
 ## WWW magic mind readers                                               ##
392
 ## WWW magic mind readers                                               ##
372
 #------------------------------------------------------------------------#
393
 #------------------------------------------------------------------------#
373
 
394
 
374
-bindsym $mod+b              exec "$spn bmo wish -c -1 -a"
375
-bindsym $mod+c              exec "$spn bmo wish -c -1 -a -B"
376
-bindsym $mod+Shift+b        exec "$spn bmo wish -c"
377
-bindsym $mod+Shift+c        exec "$spn bmo wish -c -B"
378
-bindsym $mod+i              exec "$spn bmo menu uris"
379
-bindsym $mod+Shift+i        exec "$spn bmo menu www_hist"
380
-bindsym $mod+q              exec "$spn bmo wish -c -q ddg"
381
-bindsym $mod+Shift+q        exec "$spn bmo wish -c -Q"
382
-bindsym $mod+t              exec "acclive"
395
+bindsym $mod+b              exec "zbmo -n wish -1 -a -c"
396
+bindsym $mod+c              exec "zbmo -n wish -1 -a -B -c"
397
+bindsym $mod+Shift+b        exec "zbmo -n wish -c"
398
+bindsym $mod+Shift+c        exec "zbmo -n wish -B -c"
399
+bindsym $mod+i              exec "zbmo -n menu uris"
400
+bindsym $mod+Shift+i        exec "zbmo -n menu www_hist"
401
+bindsym $mod+q              exec "zbmo -n wish -q ddg -c"
402
+bindsym $mod+Shift+q        exec "zbmo -n wish -Q -c"
383
 
403
 
384
 
404
 
385
 #------------------------------------------------------------------------#
405
 #------------------------------------------------------------------------#
393
 ## Desktop states                                                       ##
413
 ## Desktop states                                                       ##
394
 #------------------------------------------------------------------------#
414
 #------------------------------------------------------------------------#
395
 
415
 
396
-bindsym $mod+Escape         exec "$spn bmo be %afk"
397
-bindsym $mod+Shift+Escape   exec "$spn bmo be %gone"
398
-bindsym $mod+m              exec "$spn bmo menu status"
399
-bindsym $mod+Shift+m        exec "i3-dmenu-desktop --dmenu='bmo dmenu'"
400
-bindsym $mod+o              exec "$spn bmo menu context"
416
+bindsym $mod+Escape         exec "zbmo -n be %afk"
417
+bindsym $mod+Shift+Escape   exec "zbmo -n be %gone"
418
+bindsym $mod+m              exec "zbmo -n menu status"
419
+bindsym $mod+Shift+m        exec "i3-dmenu-desktop --dmenu='zbmo -n dmenu'"
401
 bindsym $mod+Print          exec "newfeh"
420
 bindsym $mod+Print          exec "newfeh"
402
-bindsym $mod+grave          exec "$spn bmo menu windows"
403
-bindsym $mod+Shift+w        exec "$spn bmo menu projects"
421
+bindsym $mod+grave          exec "zbmo -n menu windows"
422
+bindsym $mod+Shift+w        exec "zbmo -n menu projects"
423
+bindsym $mod+Shift+grave    exec "dunstctl history-pop"
404
 
424
 
405
 
425
 
406
 #------------------------------------------------------------------------#
426
 #------------------------------------------------------------------------#
407
 ## Desktop-ey other stuff                                               ##
427
 ## Desktop-ey other stuff                                               ##
408
 #------------------------------------------------------------------------#
428
 #------------------------------------------------------------------------#
409
 
429
 
410
-bindsym $mod+n                  exec "$spn bmo kb home"
411
-bindsym $mod+Shift+n            exec "$spn bmo kb next"
412
-bindsym $mod+Insert             exec "$spn bmo clip save"
413
-bindsym $mod+Shift+Insert       exec "$spn bmo clip open"
414
-bindsym XF86AudioRaiseVolume    exec "$spn bmo au up"
415
-bindsym XF86AudioLowerVolume    exec "$spn bmo au down"
416
-bindsym XF86AudioMute           exec "$spn bmo au flip"
430
+bindsym $mod+n                  exec "zbmo -n kb home"
431
+bindsym $mod+Shift+n            exec "zbmo -n kb next"
432
+bindsym $mod+Insert             exec "zbmo -n clip save -c"
433
+bindsym $mod+Shift+Insert       exec "zbmo -n clip open"
434
+bindsym XF86AudioRaiseVolume    exec "zbmo -n au up"
435
+bindsym XF86AudioLowerVolume    exec "zbmo -n au down"
436
+bindsym XF86AudioMute           exec "zbmo -n au flip"
417
 
437
 
418
 
438
 
419
 #------------------------------------------------------------------------#
439
 #------------------------------------------------------------------------#
420
 ## Typing macros wow                                                    ##
440
 ## Typing macros wow                                                    ##
421
 #------------------------------------------------------------------------#
441
 #------------------------------------------------------------------------#
422
 
442
 
443
+bindsym $mod+Shift+s                        exec "zbmo -n menu smash"
423
 bindsym --release $mod+Ctrl+apostrophe      exec "xdotool .config/i3/macros/apostrophe.xdotool"
444
 bindsym --release $mod+Ctrl+apostrophe      exec "xdotool .config/i3/macros/apostrophe.xdotool"
424
 bindsym --release $mod+Ctrl+asterisk        exec "xdotool .config/i3/macros/asterisk.xdotool"
445
 bindsym --release $mod+Ctrl+asterisk        exec "xdotool .config/i3/macros/asterisk.xdotool"
425
 bindsym --release $mod+Ctrl+slash           exec "xdotool .config/i3/macros/slash.xdotool"
446
 bindsym --release $mod+Ctrl+slash           exec "xdotool .config/i3/macros/slash.xdotool"
430
 bindsym --release $mod+Ctrl+grave           exec "xdotool .config/i3/macros/grave.xdotool"
451
 bindsym --release $mod+Ctrl+grave           exec "xdotool .config/i3/macros/grave.xdotool"
431
 bindsym --release $mod+Ctrl+bracketleft     exec "xdotool .config/i3/macros/bracketleft.xdotool"
452
 bindsym --release $mod+Ctrl+bracketleft     exec "xdotool .config/i3/macros/bracketleft.xdotool"
432
 bindsym --release $mod+Ctrl+bracketright    exec "xdotool .config/i3/macros/bracketright.xdotool"
453
 bindsym --release $mod+Ctrl+bracketright    exec "xdotool .config/i3/macros/bracketright.xdotool"
454
+bindsym --release $mod+Ctrl+v               exec "dash .config/i3/macros/xt.dash"
433
 
455
 
434
 
456
 
435
 
457
 
438
 ## Less smart apps                                                      ##
460
 ## Less smart apps                                                      ##
439
 #------------------------------------------------------------------------#
461
 #------------------------------------------------------------------------#
440
 
462
 
441
-for_window [class="Shutter"]    floating enable
442
-for_window [class="Orage"]      floating enable
443
 
463
 
444
 
464
 
445
 #------------------------------------------------------------------------#
465
 #------------------------------------------------------------------------#
448
 
468
 
449
 exec "newfeh"
469
 exec "newfeh"
450
 exec "dunst"
470
 exec "dunst"
451
-exec "urxvt -e weechat"
471
+exec "alacritty -e weechat"
452
 exec "nm-applet"
472
 exec "nm-applet"
453
-exec "blueman-applet"
454
-exec "shutter --min_at_startup"
473
+# exec "blueman-applet"
474
+exec "flatpak run org.telegram.desktop"
475
+exec "flatpak run org.signal.Signal --use-tray-icon"
476
+exec "aw-qt"

+ 13
- 8
dotfiles/config/i3/macros/xt.dash Прегледај датотеку

1
-#!/bin/bash
1
+#!/bin/dash
2
 
2
 
3
 
3
 
4
 fixnl () {
4
 fixnl () {
7
     local nlcount;
7
     local nlcount;
8
     local lastchr;
8
     local lastchr;
9
     local single=keep;
9
     local single=keep;
10
-    case $arg in 
10
+    case $arg in
11
         -c | --chop-single)
11
         -c | --chop-single)
12
             single=chop
12
             single=chop
13
         ;;
13
         ;;
14
     esac;
14
     esac;
15
-    cache="$(mktemp -t fixnl.XXXXXXXX)";
15
+    # TODO: ^^ should probably be:
16
+    #
17
+    #   test -n "$UID" || return 3
18
+    #   cache="$(mktemp "/run/user/$UID/fixnl.XXXXXXXX")";
19
+    #
20
+    # but UID is not supported in bash, so..
16
     cat > "$cache";
21
     cat > "$cache";
17
     nlcount=$(<"$cache" wc -l);
22
     nlcount=$(<"$cache" wc -l);
18
     lastchr=$(<"$cache" tail -c1 | hexdump -e '"%02x"');
23
     lastchr=$(<"$cache" tail -c1 | hexdump -e '"%02x"');
19
-    case $nlcount:$lastchr:$single in 
24
+    case $nlcount:$lastchr:$single in
20
         0:??:*)
25
         0:??:*)
21
             cat "$cache"
26
             cat "$cache"
22
         ;;
27
         ;;
37
     rm "$cache"
42
     rm "$cache"
38
 }
43
 }
39
 
44
 
40
-main () { 
45
+main () {
41
     local body;
46
     local body;
42
     body="$(xclip -o)"
47
     body="$(xclip -o)"
43
-    declare -p body >~/body.declare
44
-    echo -n "$body" | hexdump -C >~/body.hexdump
45
-    sleep 0.5s
48
+#   declare -p body >~/body.declare
49
+#   echo -n "$body" | hexdump -C >~/body.hexdump
50
+    sleep 0.25s
46
     xdotool type "$body"
51
     xdotool type "$body"
47
 }
52
 }
48
 
53
 

+ 22
- 15
dotfiles/config/i3status/config Прегледај датотеку

16
 order += "battery 1"
16
 order += "battery 1"
17
 order += "load"
17
 order += "load"
18
 order += "cpu_usage"
18
 order += "cpu_usage"
19
-order += "disk /home/netvor/mnt/netvorovo"
19
+order += "disk /"
20
+order += "disk /home.sync"
20
 order += "disk /home"
21
 order += "disk /home"
21
-order += "volume master"
22
+# order += "volume master"
22
 order += "tztime local"
23
 order += "tztime local"
23
 
24
 
24
 battery 0 {
25
 battery 0 {
25
        format = "%status%percentage"
26
        format = "%status%percentage"
26
-       format_down = "✕"
27
-       status_unk = ""
28
-       status_chr = "↑"
29
-       status_bat = "↓"
30
-       status_full = ""
27
+       format_down = " ✕"
28
+       status_unk = " "
29
+       status_chr = " ↑"
30
+       status_bat = " ↓"
31
+       status_full = " "
31
        path = "/sys/class/power_supply/BAT%d/uevent"
32
        path = "/sys/class/power_supply/BAT%d/uevent"
32
        low_threshold = 30
33
        low_threshold = 30
33
        threshold_type = percentage
34
        threshold_type = percentage
37
 
38
 
38
 battery 1 {
39
 battery 1 {
39
        format = "%status%percentage"
40
        format = "%status%percentage"
40
-       format_down = "✕"
41
-       status_unk = ""
42
-       status_chr = "↑"
43
-       status_bat = "↓"
44
-       status_full = ""
41
+       format_down = " ✕"
42
+       status_unk = " "
43
+       status_chr = " ↑"
44
+       status_bat = " ↓"
45
+       status_full = " "
45
        path = "/sys/class/power_supply/BAT%d/uevent"
46
        path = "/sys/class/power_supply/BAT%d/uevent"
46
-       low_threshold = 5
47
+       low_threshold = 30
47
        threshold_type = percentage
48
        threshold_type = percentage
48
        hide_seconds = true
49
        hide_seconds = true
49
        integer_battery_capacity = true
50
        integer_battery_capacity = true
53
     format = "(w%V,d%u) %Y-%m-%d %H:%M"
54
     format = "(w%V,d%u) %Y-%m-%d %H:%M"
54
 }
55
 }
55
 
56
 
56
-disk "/home/netvor/mnt/netvorovo" {
57
-    format = "n:%avail"
57
+disk "/" {
58
+    format = "/:%avail"
59
+    threshold_type = "gbytes_avail"
60
+    low_threshold = 2
61
+}
62
+
63
+disk "/home.sync" {
64
+    format = "s:%avail"
58
     threshold_type = "gbytes_avail"
65
     threshold_type = "gbytes_avail"
59
     low_threshold = 2
66
     low_threshold = 2
60
 }
67
 }

+ 64
- 0
dotfiles/config/mdvimb/css/oamg-qe.css Прегледај датотеку

1
+* {
2
+    --c-air: #eef;
3
+    --c-bp: #1a3b7e;
4
+    --c-ink: #e6e1d2;
5
+    --c-ink-dim: #8294ba;
6
+    --c-ink-red: #e6d2d2;
7
+    --c-ink-yellow: #e6e5d2;
8
+    --c-ink-green: #d4e6d2;
9
+    --c-ink-cyan: #d2e6e2;
10
+    --c-ink-blue: #d2d7e6;
11
+    --c-ink-magenta: #e6d2e6;
12
+    --c-ink-l75: #bfb28b;
13
+    --c-ink-l50: #8d7e4f;
14
+    --c-ink-l25: #473f27;
15
+    --c-ink-sl75: #b6ae94;
16
+    --c-ink-sl50: #7b7661;
17
+    --c-ink-sl25: #3b3933;
18
+    --c-bp-red: #7e1a1a;
19
+    --c-bp-yellow: #7e781a;
20
+    --c-bp-green: #267e1a;
21
+    --c-bp-cyan: #1a7e60;
22
+    --c-bp-blue: #1a327e;
23
+    --c-bp-magenta: #7e1a71;
24
+    --c-bp-orange: #a76f22;
25
+    --c-bp-l75: #132c5f;
26
+    --c-bp-l50: #0d1d3f;
27
+    --c-bp-l25: #060f20;
28
+    --c-bp-sl75: #1d2f55;
29
+    --c-bp-sl50: #192133;
30
+    --c-bp-sl25: #101216;
31
+}
32
+
33
+body {
34
+    background-color: var(--c-bp);
35
+    font-family: sans-serif;
36
+    padding: 2em 4em 2em 4em;
37
+    color: var(--c-ink);
38
+}
39
+
40
+code {
41
+    color: var(--c-bp);
42
+    background-color: var(--c-ink);
43
+}
44
+
45
+pre {
46
+    color: var(--c-bp);
47
+    padding: 1em;
48
+    background-color: var(--c-ink);
49
+}
50
+
51
+blockquote {
52
+    padding: 0.5em 1em 0.5em 1em;
53
+    border-left: solid 0.2em #8ae;
54
+    background-color: var(--c-bp-l50);
55
+}
56
+
57
+a:hover {
58
+    color: var(--c-ink-dim);
59
+}
60
+
61
+a {
62
+    color: var(--c-ink);
63
+}
64
+

+ 0
- 20
dotfiles/config/mkittool/debstuff.ini Прегледај датотеку

1
-[debstuff]
2
-    build_options = notest
3
-    email = Alois Mahdal <netvor@vornet.cz>
4
-    branch = latest
5
-    uri_pattern = https://pagure.io/%s.git
6
-    storage_root = ~/pals/vornet-scratch/deb
7
-    scrap_storage = true
8
-
9
-[debstuff.def.group.jats]
10
-    branch = master
11
-    uri_pattern = ~/vcs.jats/%s
12
-
13
-[debstuff.def.group.vpriv]
14
-    branch = master
15
-    uri_pattern = ~/st/vcs.private/%s
16
-    storage_root = ~/pals/vornet-private/deb
17
-
18
-[debstuff.def.group.vscratch]
19
-    branch = master
20
-    uri_pattern = ~/vcs.mystream/%s

+ 42
- 0
dotfiles/config/qutebrowser/autoconfig.yml Прегледај датотеку

1
+# If a config.py file exists, this file is ignored unless it's explicitly loaded
2
+# via config.load_autoconfig(). For more information, see:
3
+# https://github.com/qutebrowser/qutebrowser/blob/master/doc/help/configuring.asciidoc#loading-autoconfigyml
4
+# DO NOT edit this file by hand, qutebrowser will overwrite it.
5
+# Instead, create a config.py - see :help for details.
6
+
7
+config_version: 2
8
+settings:
9
+  bindings.commands:
10
+    global:
11
+      normal:
12
+        '1': zoom 100
13
+        '2': zoom 150
14
+        T: '!twinner'
15
+        b: back
16
+        m: forward
17
+        yY: yank
18
+        yy: yank -s
19
+  colors.webpage.darkmode.enabled:
20
+    global: true
21
+  content.geolocation:
22
+    https://finishlibrary.steelcase.com: false
23
+    https://jobs.thermofisher.com: false
24
+  content.javascript.enabled:
25
+    global: true
26
+  content.mouse_lock:
27
+    https://app.kosmi.io: true
28
+  content.notifications.enabled:
29
+    https://app.kosmi.io: true
30
+    https://bach.events: false
31
+    https://chat.google.com: true
32
+    https://lemmy.world: false
33
+    https://nc.vornet.cz: false
34
+  content.register_protocol_handler:
35
+    https://calendar.google.com?cid=%25s: false
36
+    https://mail.google.com?extsrc=mailto&url=%25s: false
37
+    https://urbit.vornet.cz?ext=%25s: true
38
+    https://webmail.migadu.com?mailto&to=%25s: false
39
+  content.user_stylesheets:
40
+    global:
41
+      - "user_stylesheets/netvor.css"
42
+

+ 2
- 6
dotfiles/config/qutebrowser/config.py Прегледај датотеку

1
+config.load_autoconfig()
1
 c.tabs.tabs_are_windows = True
2
 c.tabs.tabs_are_windows = True
2
 c.scrolling.bar = 'always'
3
 c.scrolling.bar = 'always'
3
-config.bind('yY', 'yank')
4
-config.bind('yy', 'yank -s')
5
-config.bind('b', 'back')
6
-config.bind('m', 'forward')
7
-config.bind('1', 'zoom 100')
8
-config.bind('2', 'zoom 150')
4
+c.qt.args = ["auth-server-whitelist=*fedoraproject.org"]

+ 4
- 0
dotfiles/config/qutebrowser/user_stylesheets/netvor.css Прегледај датотеку

1
+* {
2
+    scrollbar-width:  auto !important;
3
+    scrollbar-color:  auto !important;
4
+}

+ 2
- 2
dotfiles/config/xfce4/terminal/terminalrc Прегледај датотеку

1
 [Configuration]
1
 [Configuration]
2
-FontName=Inconsolata Medium 19
2
+FontName=IosevkaTerm Nerd Font Mono Light 19
3
 MiscAlwaysShowTabs=FALSE
3
 MiscAlwaysShowTabs=FALSE
4
 MiscBell=FALSE
4
 MiscBell=FALSE
5
 MiscBordersDefault=TRUE
5
 MiscBordersDefault=TRUE
26
 MiscRewrapOnResize=TRUE
26
 MiscRewrapOnResize=TRUE
27
 MiscUseShiftArrowsToScroll=FALSE
27
 MiscUseShiftArrowsToScroll=FALSE
28
 MiscSlimTabs=FALSE
28
 MiscSlimTabs=FALSE
29
-ScrollingOnOutput=FALSE
30
 ScrollingLines=100000
29
 ScrollingLines=100000
31
 MiscShowUnsafePasteDialog=FALSE
30
 MiscShowUnsafePasteDialog=FALSE
32
 MiscShowRelaunchDialog=TRUE
31
 MiscShowRelaunchDialog=TRUE
33
 MiscNewTabAdjacent=FALSE
32
 MiscNewTabAdjacent=FALSE
34
 MiscSearchDialogOpacity=100
33
 MiscSearchDialogOpacity=100
35
 ColorPalette=#000000;#cc0000;#4e9a06;#c4a000;#3465a4;#75507b;#06989a;#d3d7cf;#555753;#ef2929;#8ae234;#fce94f;#739fcf;#ad7fa8;#34e2e2;#eeeeec
34
 ColorPalette=#000000;#cc0000;#4e9a06;#c4a000;#3465a4;#75507b;#06989a;#d3d7cf;#555753;#ef2929;#8ae234;#fce94f;#739fcf;#ad7fa8;#34e2e2;#eeeeec
35
+MiscRightClickAction=TERMINAL_RIGHT_CLICK_ACTION_CONTEXT_MENU
36
 
36
 

+ 1
- 1
dotfiles/signature Прегледај датотеку

1
 Alois Mahdal <netvor@vornet.cz>
1
 Alois Mahdal <netvor@vornet.cz>
2
-IRC (netvor at Libera): #shellfu, #vpsfree, #fedora-devel
2
+IRC (netvor at Libera): #zig, #vpsfree, #fedora-devel
3
 WWW: https://netvor.info/
3
 WWW: https://netvor.info/

+ 3
- 1
dotfiles/vim/vimrc Прегледај датотеку

49
 set updatetime=100
49
 set updatetime=100
50
 set t_vb=
50
 set t_vb=
51
 set pastetoggle=<F4>
51
 set pastetoggle=<F4>
52
-nmap <F3> :set wrap!<CR>
53
 
52
 
54
 if has('mouse')
53
 if has('mouse')
55
   set mouse=a
54
   set mouse=a
86
 nnoremap ,. :next<CR>
85
 nnoremap ,. :next<CR>
87
 nnoremap ,l :ls<CR>
86
 nnoremap ,l :ls<CR>
88
 nnoremap ,w :set wrap!<CR>
87
 nnoremap ,w :set wrap!<CR>
88
+nnoremap ,s :w <bar> !git slurp<CR>
89
+nnoremap ,v :w <bar> !make vdk_test<CR>
90
+nnoremap ,t :w <bar> !make test<CR>
89
 
91
 
90
 if has("autocmd")
92
 if has("autocmd")
91
   filetype plugin indent on
93
   filetype plugin indent on